//
// Asura_Attractor.cpp
//
// Created by JGP 03/05/06
//
// Copyright (C) 2006 Rebellion (Derby), All Rights Reserved.
//

#include "Core/Asura.h"

#ifdef ASURA_USE_ATTRACTORS

// This file's header
#include "Asura_Attractor_Data.h"

// Asura headers
#include "Asura_Attractor_System.h"


///////////////////////////////////////////////////////////////////////////////////////
// Construct / Destruct
///////////////////////////////////////////////////////////////////////////////////////


Asura_Attractor_Data::Asura_Attractor_Data() 
{ 
	m_fRadius = 1.0f; 
	m_xType = ASURA_HASH_ID_UNSET; 

	m_uID = 0;
	m_uNumLinks = 0;
	m_puLinks = 0;

	m_uFlags = ASURA_ATTRACTOR_FLAG_ACTIVE;
}


#endif // ASURA_USE_ATTRACTORS
