//*******************************************************************
//
// File: Asura_Botanical_Game_Render_GameState.h
//
// Created: 11 April 2007 DLH
//
// Description: 
//
//*******************************************************************

#ifndef __ASURA_BOTANICAL_GAME_RENDER_GAMESTATE_H__
#define __ASURA_BOTANICAL_GAME_RENDER_GAMESTATE_H__

// other libraries

// internal dependencies
#include "ChunkSystem/Asura_Chunk_Loaders.h"

// forward declarations
//class Asura_Handle;
class Asura_SaveBlock_Base;

//*******************************************************************
// Constants
//*******************************************************************


//*******************************************************************
// Class Definitions
//*******************************************************************
class Asura_BGR_Chunk_GameState : public Asura_Chunk_Header
{
public:
	bool Process(Asura_Chunk_Stream& xStream) const;
	static void Create(Asura_SaveBlock_Base& xSaveBlock);
};

//*******************************************************************
// Inline Function Definitions
//*******************************************************************


//*******************************************************************
//
// (c) 2006 Rebellion
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************

#endif // __ASURA_BOTANICAL_GAME_RENDER_GAMESTATE_H__
