///////////////////////////////////////////////////////////////////////////////
//
// File: Asura_Chunk_Decals.h
//
// Created by Dave Reed - 8/2/07
//
// Copyright (C) 2006 Rebellion (Derby), All Rights Reserved.
//
// Chunk code for surface type properties
//
////////////////////////////////////////////////////////////////////////////////

#ifndef __ASURA_CHUNK_DECALS_H__
#define __ASURA_CHUNK_DECALS_H__

#ifdef ASURA_USE_DECAL_MANAGER

#include "ChunkSystem/Asura_Chunk_Loaders.h"
#include "ChunkSystem/Asura_SaveBlock.h"
#include "Core/Asura_Handle.h"

class Asura_Chunk_Decals : public Asura_Chunk_Header
{
public:
#ifdef ASURA_TOOLS
	static void Create(Asura_SaveBlock& xSaveBlock);
#endif //ASURA_TOOLS

	bool Process(Asura_Handle iFileHandle) const;
	
	// Create the file and save it as a stand-alone file
	static bool Save( const char* const szFileName );

private:
	enum { CURRENT_VERSION = 4 };
};


#endif // ASURA_USE_DECAL_MANAGER
#endif //__ASURA_CHUNK_DECALS_H__
