// Asura_Chunk_DynamicMusic.h
// Thomas Young - 21.08.08
// Copyright (C) 2008 Rebellion, All Rights Reserved.

// F I L E   W R A P P E R ///////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_CHUNK_DYNAMICMUSIC_H__
#define __ASURA_CHUNK_DYNAMICMUSIC_H__

#include "Core/Asura.h"

#ifdef ASURA_SUPPORT_DYNAMIC_MUSIC_SYSTEM

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "ChunkSystem/Asura_Chunk_Loaders.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_SaveBlock_Base;
class Asura_Dynamic_Music_Sytem;

// C L A S S   D E C L A R A T I O N S ///////////////////////////////////////

class Asura_Chunk_DynamicMusic : public Asura_Chunk_Header
{
	public :
	
		bool Process		( Asura_Handle iFileHandle		);
		bool Process		( Asura_Chunk_Stream& xStream	);
		#ifdef ASURA_TOOLS
		static void Create	( Asura_SaveBlock* pxSaveBlock	);
		#endif
};

class Asura_Chunk_DynamicMusic_Ingame_State : public Asura_Chunk_Header
{
	public:

		bool Process(const char* pcChunkBuffer);
		bool Process(Asura_Chunk_Stream& xStream);
		static void Create(Asura_SaveBlock_Base& xSaveBlock);
};

#endif //#ifdef ASURA_SUPPORT_DYNAMIC_MUSIC_SYSTEM

#endif //__ASURA_CHUNK_DYNAMICMUSIC_H__

//eof
