//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFileList.h
//
// Created by Morgan Parry.
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_RESOURCEFILELIST_H___
#define ___ASURA_CHUNK_RESOURCEFILELIST_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Asura_Chunk_Loaders.h"

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFileList : public Asura_Chunk_Header
{

    public:

        // M E T H O D S /////////////////////////////////////////////////////

        bool Process( Asura_Handle hFile ) const;
#ifdef ASURA_TOOLS
		void Create(int size, unsigned int entries);
#endif

        // S T A T E /////////////////////////////////////////////////////////

        unsigned uNumEntries;

};
// End class Asura_Chunk_ResourceFileList.

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_RESOURCEFILELIST_H___
