//
// Asura_Chunk_TextureAnimation.h
//
// Created by Richard Rice - 16/05/2005
// 
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_CHUNK_TEXTUREANIMATION_H__
#define __ASURA_CHUNK_TEXTUREANIMATION_H__

#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Chunk_Stream;
class Asura_TextureAnimation;

class Asura_Chunk_TextureAnimation : public Asura_Chunk_Header
{
public :
	bool Process(Asura_Handle iFileHandle) const;
#ifdef ASURA_TOOLS
	static void Create(Asura_Chunk_Stream& xStream,const Asura_TextureAnimation* pxAnim);
	static void Create(Asura_SaveBlock* pxSaveBlock,const Asura_TextureAnimation* pxAnim);
#endif
};


#endif //__ASURA_CHUNK_TEXTUREANIMATION_H__
