//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_WaypointingSettings.h
//
// Copyright (C) 2008 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_CHUNK_WAYPOINTINGSETTINGS_H__
#define __ASURA_CHUNK_WAYPOINTINGSETTINGS_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "ChunkSystem/Asura_Chunk_Loaders.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_Chunk_Stream;

//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_WaypointingSettings
// For saving level specific waypointing settings.
//
//////////////////////////////////////////////////////////////////////////////

class Asura_Chunk_WaypointingSettings : public Asura_Chunk_Header
{
public:
	bool Process( Asura_Chunk_Stream& xStream ) const;
	bool Process( const Asura_Handle iFileHandle ) const;

#ifdef ASURA_TOOLS
	static bool Create( Asura_Chunk_Stream& xStream );
#endif

private:
	static const int iCURRENT_VERSION = 0;
};

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //__ASURA_CHUNK_WAYPOINTINGSETTINGS_H__
