//
// Asura_Entity_AnimatedFragment.h
//
// Created by Richard Rice - 02/03/04
// 
// Copyright (C) 2004 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_ENTITY_ANIMATEDFRAGMENT_H__
#define __ASURA_ENTITY_ANIMATEDFRAGMENT_H__ 1

#include "Core/Asura_Maths.h"
#include "Entity/Asura_Entity.h"
#include "Shapes/Asura_Shapes.h"


class Asura_Entity_AnimatedFragment : public Asura_Entity_Renderable
{
public :
    static Asura_Entity_AnimatedFragment* Project_Create(Asura_Hash_ID uSkinHash,
														 Asura_Hash_ID uAnimHash,
														 const Asura_Vector_3& xPos, 
														 const Asura_Matrix_3x3& xOrient);

	~Asura_Entity_AnimatedFragment();

	void Update();
	void Render();

protected :
	Asura_Entity_AnimatedFragment(Asura_Hash_ID uSkinHash,Asura_Hash_ID uAnimHash,const Asura_Vector_3& xPos,const Asura_Matrix_3x3& xOrient);

	Asura_Shape_Instance m_xShapeInstance;
	float m_fFadeTimer;

};

#endif //__ASURA_ENTITY_ANIMATEDFRAGMENT_H__
