/**
*
* \file Asura_WorldSpace_Rectangle.h
*
* Created by Andrew Weinkove - 18/07/2002
*
* Copyright (C) 2002 Rebellion, All Rights Reserved.
*
* \brief
*
**/
#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __ASURA_WORLDSPACE_RECTANGLE_H__
#define __ASURA_WORLDSPACE_RECTANGLE_H__

#include "Core/Asura_Maths.h"

class Asura_WorldSpace_Rectangle
{
public:
	Asura_WorldSpace_Rectangle();
	Asura_Vector_3 CalculateCentre() const;
	void CalculateCorners( Asura_Vector_3 axCorners[4] ) const;

// Data
	Asura_Vector_2 Dimensions;
	Asura_Matrix_3x3 Orientation;
	Asura_Vector_3 CornerPosition;
};


#endif//__ASURA_WORLDSPACE_RECTANGLE_H__
