//////////////////////////////////////////////////////////////////////////////////////////
//
// FILE : Asura_ClientEntity_Actor.h
//
// Copyright (C) 2002 Rebellion, All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_CLIENT_ENTITY_ACTOR_H__
#define __ASURA_CLIENT_ENTITY_ACTOR_H__

//////////////
// INCLUDES //
//////////////

#include "Entity/PhysicalObject/Asura_ClientEntity_PhysicalObject.h"

//////////////////////////////
// Asura_ClientEntity_Actor //
//////////////////////////////
class Asura_ClientEntity_Actor : public virtual Asura_ClientEntity_PhysicalObject
{
public:
	virtual void Update() {}
	virtual bool HandleMessage(const Asura_Message* pxMessage) { return false; }

protected:
	Asura_ClientEntity_Actor() {}
	virtual ~Asura_ClientEntity_Actor();
};


#endif //__ASURA_CLIENT_ENTITY_ACTOR_H__
