//////////////////////////////////////////////////////////////////////////////
//
// Asura_CommandConsole_Remote.h
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_COMMANDCONSOLE_REMOTE_H___
#define ___ASURA_COMMANDCONSOLE_REMOTE_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

// Engine platform-specific.
#include "Core/Asura_PlatformBasics.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_Message;

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_CommandConsole_Remote
{

    public:

        // C L A S S   M E T H O D S /////////////////////////////////////////

        static void Initialise( void );
        static void Reset( void );
        static void Shutdown( void );

        static void Update( void );
        static void ProcessMessage( const Asura_Message* pxMsg );

};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_COMMANDCONSOLE_REMOTE_H___
