//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Beam.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// Engine independent.
#include "SpecialFX/Asura_Beam_System.h"

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

//
// Asura_Beam_System.
//

void Asura_Beam_System::Platform_Render( void ) 
{ 
	for(u_int j=0; j<s_uNumActiveBeams; j++ )
	{	
		if( !s_apxBeamPtrs[j] ) continue;
		s_apxBeamPtrs[j]->m_bDontUpdateUntilRenderedOnce = false;
	}
}

void Asura_Beam_System::Platform_RenderEnd( void ) { }
void Asura_Beam_System::Platform_RenderStart( void ) { }
void Asura_Beam_System::Platform_Initialise( void ) { }
void Asura_Beam_System::Platform_Shutdown( void ) { }
