//
// Asura_Platform_PFX.cpp
//
//
// Copyright (C) 2004 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"
#include "SpecialFX/PFX/Asura_PFX_System.h"

#include "SpecialFX/PFX/Asura_PFX_Effect.h"

void Asura_PFX_System::Platform_Initialise() {}
void Asura_PFX_System::Platform_Shutdown() {}
void Asura_PFX_System::Platform_Reset() {}
void Asura_PFX_System::Platform_BeginRender() {}
void Asura_PFX_System::Platform_EndRender() {}

#ifdef ASURA_SUPPORT_MULTITHREADED_JOB_QUEUE
	void Asura_PFX_Effect::Platform_RenderParticles( const Asura_PFX_Particle* const pxParticles, u_int uNumParticles, const Asura_PFX_Particle_Template* pxTemplate, const Asura_RGBA& xLightColour, void* pPlatformRenderData ) const { }

	void* Asura_PFX_System::Platform_GetRenderData( u_int uNumParticles )
	{
		return NULL;
	}

	void Asura_PFX_System::Platform_BeginUpdate() { }
#else
	void Asura_PFX_Effect::Platform_RenderParticles( const Asura_PFX_Particle* const pxParticles, u_int uNumParticles, const Asura_PFX_Particle_Template* pxTemplate, const Asura_RGBA& xLightColour ) const { }
#endif

bool Asura_PFX_System::Platform_SupportsHeatHaze()
{
	return false;
}
