//////////////////////////////////////////////////////////////////////////////
//
// Asura_Bink.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_BINK_H___
#define ___ASURA_BINK_H___ 1

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_PC_Bink
{

public:

    // T Y P E S /////////////////////////////////////////////////////////////

    enum PLAYRESULT
    {
        PLAYRESULT_ERROR,
        PLAYRESULT_SKIPPED,
        PLAYRESULT_FINISHED,
    };

    typedef void (*RENDER_SUBTITLE_CB_FN)(float fTime);
    typedef bool (*INPUT_CHECK_CB_FN)(void);

    // C L A S S   M E T H O D S /////////////////////////////////////////////

    static PLAYRESULT Play( const char* szFilename,
                            float fTimeBeforeSkipAllowed = 0.0f,
                            RENDER_SUBTITLE_CB_FN pfnRenderSubtitleCB = NULL,
                            INPUT_CHECK_CB_FN pfnInputCheckCB = NULL,
                            u_int uAudioStreamIdx = 0 );

};
// End class Asura_PC_Bink.

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_BINK_H___
