//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PC_MRPShaders.h
//
// Copyright (c) 2007 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __ASURA_CHUNK_RESOURCEFILE_PC_MRPSHADERS_H__
#define __ASURA_CHUNK_RESOURCEFILE_PC_MRPSHADERS_H__

#if defined ASURA_USE_MATERIAL_RESPONSE_SYSTEM

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_Chunk_Stream;

////////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PC_MRPShaders
//
// Chunk to hold precompiled material response pixel shaders
//
////////////////////////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_PC_MRPShaders : public Asura_Chunk_ResourceFile
{
public:

	static const int iCURRENT_VERSION = 0;

	bool Process( const char* szFilename, Asura_Chunk_Stream& xStream );
};

#endif // defined ASURA_USE_MATERIAL_RESPONSE_SYSTEM

#endif // !defined __ASURA_CHUNK_RESOURCEFILE_PC_MRPSHADERS_H__
