//*******************************************************************
//
// File: Asura_Chunk_ResourceFile_PC_MaterialResponse.h
//
// Created: 12 March 2007 DLH
//
// Description: 
//
//*******************************************************************

#ifndef __ASURA_CHUNK_RESOURCEFILE_PC_MATERIALRESPONSE_H__
#define __ASURA_CHUNK_RESOURCEFILE_PC_MATERIALRESPONSE_H__

// other libraries
#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

// internal dependencies

// forward declarations

//*******************************************************************
// Constants
//*******************************************************************


//*******************************************************************
// Class Definitions
//*******************************************************************
class Asura_Chunk_Stream;

class Asura_Chunk_ResourceFile_PC_MaterialResponse: public Asura_Chunk_ResourceFile
{
    public:
        bool Process( const char* szFilename, Asura_Chunk_Stream& xStream );
    private:
		template< class TPixelType>
		bool Process_Fill( const char* szFilename, Asura_Chunk_Stream& xStream,  const float fTypeRange, const u_int uOffsetR, const u_int uOffsetG, const u_int uOffsetB, const u_int uOffsetA);
};

//*******************************************************************
// Inline Function Definitions
//*******************************************************************


//*******************************************************************
//
// (c) 2006 Rebellion
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************

#endif // __ASURA_CHUNK_RESOURCEFILE_PC_MATERIALRESPONSE_H__
