//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PC_Skin.h
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#if !defined __ASURA_CHUNK_RESOURCEFILE_PC_SKIN_H__
#define __ASURA_CHUNK_RESOURCEFILE_PC_SKIN_H__

#if defined(ASURA_TARGET_SM3)

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_Chunk_Stream;
class Asura_Direct3D_Skin;

////////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_Direct3D_Skin
//
// Chunk containing a single PC Direct3D skin
//
////////////////////////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_PC_Skin : public Asura_Chunk_ResourceFile
{
public:

	static const int iCURRENT_VERSION = 1;

	bool					Process( const char* const szFilename, Asura_Chunk_Stream& xStream );
	Asura_Direct3D_Skin*	CreateAndRead( const Asura_Hash_ID uHash, Asura_Chunk_Stream& xStream, bool& bAlreadyExisted );
};

#endif //#if defined(ASURA_TARGET_SM3)

#endif // !defined __ASURA_CHUNK_RESOURCEFILE_PC_SKIN_H__
