shared	bool	g_bObjectSpecular;
shared	bool	g_bObjectUseLighting;
shared	bool	g_bObjectTextureTransparancy;

// Fog
shared	float	g_fObjectFogValue; // Precalculated

// Object/animation alpha
shared float g_fObjectAlpha;

// Since an object has one SH for all its vertices, we don't need this in the vertex.
// We'll calculate all the values in worldspace offline, then for normal-mapped objects we rotate that normal back into worldspace.
shared float4 g_xObjectRedSH;
shared float4 g_xObjectGreenSH;
shared float4 g_xObjectBlueSH;
shared float3 g_xObjectBrightestLightDirection;

// World matrix
shared float4x4 g_xWorldMatrix : World;
