
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Platform_Streaming_System.cpp
// Author : Andy Tate
// Date   : 9-May-2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Streaming/Asura_Streaming_System.h"

// Asura independent header-files...
#include "FileAccess/Asura_FileCache.h"

// Asura platform header-files...

// Game independent header-files...

// Game platform header-files...

// Tools header-files...


////////////////////////////////////////////////////////////////////////////////
// Constant declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Static variable declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Private functions...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function     : Asura_Streaming_System::Platform_AllocateFileCache
// Author       : Andy Tate
// Date         : 9-May-2006
////////////////////////////////////////////////////////////////////////////////

u_char* Asura_Streaming_System::Platform_AllocateFileCacheMemory (const u_int uSize)
{
	return(new u_char [uSize]);
}

/// End of function 'Asura_Streaming_System::Platform_AllocateFileCache'. ///



////////////////////////////////////////////////////////////////////////////////
// Function     : Asura_Streaming_System::Platform_DeallocateFileCache
// Author       : Andy Tate
// Date         : 9-May-2006
////////////////////////////////////////////////////////////////////////////////

void Asura_Streaming_System::Platform_DeallocateFileCacheMemory (u_char* pucData)
{
	delete[](pucData);
}

/// End of function 'Asura_Streaming_System::Platform_DeallocateFileCache'. ///



////////////////////////////////////////////////////////////////////////////////
// Protected functions...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Public functions...
////////////////////////////////////////////////////////////////////////////////


/// End of file. ///
