//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PS2_StrippedHierSkin.h
//
// Created by Morgan Parry.
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_RESOURCEFILE_PS2_STRIPPEDHIERSKIN_H___
#define ___ASURA_CHUNK_RESOURCEFILE_PS2_STRIPPEDHIERSKIN_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "ChunkSystem/Asura_Chunk_ResourceFile.h"
#include "Core/Asura_Handle.h"

// C O N S T A N T S /////////////////////////////////////////////////////////

// Version history:
//     (MP - 12.06.2001) -  2 - Added version number.
//                              Added tri count to strip headers.
//     (MP - 28.10.2003) -  3 - VU upload data changed for new renderer.
//     (MP - 16.03.2005) -  4 - Multiple materials. Vertex alpha.
static const int ASURA_PS2_HIERSKIN_CUR_VERSION_NUMBER = 4;

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_PS2_StrippedHierSkin : public Asura_Chunk_ResourceFile
{

    public:

        // M E T H O D S /////////////////////////////////////////////////////

        bool Process( Asura_Handle hFile );

};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_RESOURCEFILE_PS2_STRIPPEDHIERSKIN_H___
