//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS2_MemoryCard_Shell_UnitTest.h
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
// Description:
//
//     Unit test for memory card shell system - do NOT add to your projects
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PS2_MEMORYCARD_SHELL_UNITTEST_H___
#define ___ASURA_PS2_MEMORYCARD_SHELL_UNITTEST_H___ 1

class Asura_PS2_MemoryCard_Shell_UnitTest
{
    public:
        static void Initialise(void);
        static void Update(void);

        static void RunCheckCardAtBootTest(void);
        static void RunSaveTest(void);
        static void RunAutoSaveTest(void);
        static void RunSaveMainTest(void);
        static void RunLoadTest(void);
        static void RunLoadMainTest(void);
        static void RunAutoLoadTest(void);
        static void RunGetSaveListTest(void);

        static void Run(void);

    private:
        static char s_szSaveNameList[512];
};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PS2_MEMORYCARD_SHELL_UNITTEST_H___
