//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_BotanicalsShapes.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_PS3_BOTANICALS_SHAPES_H__
#define __ASURA_PS3_BOTANICALS_SHAPES_H__

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_PS3_Botanicals_Shape : public Asura_BGR_Type
{
public:

	Asura_PS3_Botanicals_Shape();
	~Asura_PS3_Botanicals_Shape();

	Asura_PS3_Botanicals_Element* m_pxElements;

#if defined( ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS) && 1 == ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS
	virtual u_int GetSectionCount() const;
#endif
	
public:
	Asura_Hash_ID m_uHashID;
	int m_iNumElements;
	
#if defined( ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS) && 1 == ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS
	u_int m_uSectionCount;
#endif
#if defined( ASURA_BOTANICAL_SUPPORT_INTERACTIVE)
	Asura_BGR_Type_BasicInteractive* m_pxBasicInteractive;
#endif
};

#endif // !defined __ASURA_PS3_BOTANICALS_SHAPES_H__
