// SCE CONFIDENTIAL
// PLAYSTATION(R)3 Programmer Tool Runtime Library 250.001
// Copyright (C) 2008 Sony Computer Entertainment Inc.
// All Rights Reserved.

#ifndef __CELL_UTIL_SPURS_JOB_DESCRIPTOR_H__
#define __CELL_UTIL_SPURS_JOB_DESCRIPTOR_H__ 1

#include <cell/spurs/job_descriptor.h>
#include <cellUtilSpursDefine.h>

__CELL_UTIL_SPURS_BEGIN

namespace Job {
	class Descriptor {
	protected:
		CellSpursJobHeader mHeader;
	public:
		Descriptor()
			{
				__builtin_memset(&mHeader, 0, sizeof(CellSpursJobHeader));
			}
		void setBinary(const void* address, const void* size)
			{
				setBinary(address, (uintptr_t)size);
			}
		void setBinary(const void* address, unsigned size)
			{
				mHeader.eaBinary = (uintptr_t)address;
				mHeader.sizeBinary = (size + 15) >> 4;
			}
	};
}; // namespace Job {

__CELL_UTIL_SPURS_END

#endif // __CELL_UTIL_SPURS_JOB_DESCRIPTOR_H__

// Local Variables:
// mode: C++
// c-file-style: "stroustrup"
// tab-width: 4
// End:
// vim:sw=4:sts=4:ts=4
