#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_FP_LIST_TREE_H__
#define __ASURA_PS3_FP_LIST_TREE_H__

typedef Asura_TemplateHashTree<Asura_PS3_FP_List*> FPTree;

class Asura_PS3_FP_List_Tree
{
public:
	Asura_PS3_FP_List_Tree() { }

	~Asura_PS3_FP_List_Tree() { Shutdown(); }

	Asura_PS3_FragmentShaderCopy*	GetShader( Asura_Hash_ID uHash );
	FPTree*							GetTree( void ) { return &m_xTree; }

	void Shutdown( void );
	void EndFrame( void );

private:
	FPTree		m_xTree;
};

#endif //#ifndef __ASURA_PS3_FP_LIST_TREE_H__
