//
// Carpet_FP.h
//
// Created by Catalin Arsenescu - 12 November 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_CARPET_FP_H__
#define __ASURA_PS3_CARPET_FP_H__

extern u_int _binary_PS3_Carpet_FP_bin_start;
extern u_int _binary_PS3_Carpet_FP_bin_end;

enum TEXTURE_UNITS
{
	FP_Texture,

	FP_TU_ELEMENTS
};

class Asura_PS3_Carpet_Handles : public Asura_PS3_FP_Handles
{
public:
	Asura_PS3_Carpet_Handles() : Asura_PS3_FP_Handles( 0, FP_TU_ELEMENTS )
	{}

	void InitialiseFromShader( Asura_PS3_FragmentShaderBase* pxShader )
	{
		pxShader->InitTextureUnit( FP_Texture,	"g_xTexture",	CELL_GCM_TEXTURE_CLAMP, CELL_GCM_TEXTURE_CLAMP, CELL_GCM_TEXTURE_LINEAR_LINEAR, CELL_GCM_TEXTURE_LINEAR
			, true
			);
	}
};

#endif //#ifndef __ASURA_PS3_CARPET_FP_H__
