//
// Carpet_VD.h
//
// Created by Catalin Arsenescu - 12 November 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_CARPET_VD_H__
#define __ASURA_PS3_CARPET_VD_H__

#define CARPET_VERTEX_SIZE	32

static Asura_PS3_VertexBufferDeclaration g_axVertexBufferDeclaration[] =
{
//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "IN.xPosition",	 0,	CELL_GCM_VERTEX_F,	3, 0 },
	{ "IN.xColour0",	12,	CELL_GCM_VERTEX_F,	4, 0 },
	{ "IN.xColour1",	28,	CELL_GCM_VERTEX_UB,	4, 0 }
};

enum VERTEX_DECLARATION
{
	VD_Position,
	VD_Colour0,
	VD_Colour1,

	VD_ELEMENTS
};

#endif //#ifndef __ASURA_PS3_CARPET_VD_H__
