//
// Decals_VD.h
//
// Created by Catalin Arsenescu - 26 August 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_DECALS_VD_H__
#define __ASURA_PS3_DECALS_VD_H__

#define DECALS_VERTEX_BUFFER_SIZE	64

static Asura_PS3_VertexBufferDeclaration g_axVertexDeclaration[] =
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xPosition",	 0, CELL_GCM_VERTEX_F,		3, 0 },
	{ "xIn.m_axUVTimeAlpha",12, CELL_GCM_VERTEX_F,		4, 0 },
	{ "xIn.m_xNormal",		28, CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xTangent",		32, CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xBinormal",	36, CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xRedSH",		40,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_xGreenSH",		48,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_xBlueSH",		56,	CELL_GCM_VERTEX_SF,		4, 0 }
};

enum VERTEX_DECLARATION
{
	VD_POSITION,
	VD_UV_TIME_ALPHA,
	VD_NORMAL,
	VD_TANGENT,
	VD_BINORMAL,
	VD_RED_SH,
	VD_GREEN_SH,
	VD_BLUE_SH,
	VD_ELEMENTS
};

#endif //#ifndef __ASURA_PS3_DECALS_VD_H__
