//
// SFX_PFX_VD.h
//
// Created by Catalin Arsenescu - 26 August 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_SFX_PFX_VD_H__
#define __ASURA_PS3_SFX_PFX_VD_H__

#define PFX_VERTEX_SIZE			40

static Asura_PS3_VertexBufferDeclaration g_axVertexDeclaration [] =
{
//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "IN.Colour",		0,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "IN.UV_Pair",		8,	CELL_GCM_VERTEX_F,		4, 0 },
	{ "IN.Position",	24,	CELL_GCM_VERTEX_F,		3, 0 },
	{ "IN.FrameInfo",	36,	CELL_GCM_VERTEX_SF,		2, 0 },
};

enum VERTEX_DECLARATION
{
	VD_Colour,
	VD_UV_Pair,
	VD_Position,
	VD_FrameInfo,

	VD_ELEMENTS
};

#endif //#ifndef __ASURA_PS3_SFX_PFX_VD_H__
