//
// SmoothSkin_VD.h
//
// Created by Catalin Arsenescu - 26 August 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_SMOOTHSKIN_SPUSKINNING_VD_H__
#define __ASURA_PS3_SMOOTHSKIN_SPUSKINNING_VD_H__

// based on g_axSmoothSkinVertexDeclaration 
static Asura_PS3_VertexBufferDeclaration g_axSpuSkinningVD_FromData[] =
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
//	{ "xIn.m_xPosition",		 0,	CELL_GCM_VERTEX_F,		3, 0 },
	{ "xIn.m_xUV",				12,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_aiBoneIndices",	20,	CELL_GCM_VERTEX_UB256,	4, 0 },
	{ "xIn.m_afBoneWeights",	24,	CELL_GCM_VERTEX_UB,		4, 0 },
	{ "xIn.m_xNormal",			28,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xTangent",			32,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xBinormal",		36,	CELL_GCM_VERTEX_CMP,	1, 0 },
};

enum SPUSKINNING_VERTEX_DECLARATION
{
//	SPUVD_POSITION,
	SPUVD_UV,

	SPUVD_BONE_INDICES,
	SPUVD_BONE_WEIGHTS,

	SPUVD_NORMAL,
	SPUVD_TANGENT,
	SPUVD_BINORMAL,

	NUM_SPUSKINNING_FROMDATA_ELEMENTS
};

// Position, output from SPU skinning
static Asura_PS3_VertexBufferDeclaration g_axSpuSkinningVD_FromSpu[] = //this definition must be compatible with the shadows one (since they'll read the same buffer)
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xPosition",				0,	CELL_GCM_VERTEX_F,		3, 0 },
};
#define SPUSKINNING_FROMSPU_VERTEX_SIZE	12
#define NUM_SPUSKINNING_FROMSPU_ELEMENTS	1


#endif //#ifndef __ASURA_PS3_SMOOTHSKIN_VD_H__
