
///////////////////////////////////////////////////////////////////////////////
//
// File   : Compiler.h (PS3 SPU)
// Author : Mike Healey
// Date   : 31-Aug-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __COMPILER_H__
#define __COMPILER_H__

#include <stdint.h>	// for uint64_t

// (MP - 12.04.2002) For use with debugging variables that are only used in
// a single file; the compiler should be able to optimise them out in release
// builds.
#ifdef NDEBUG
    #define DEBUGVAR static const
#else
    #define DEBUGVAR static 
#endif

#define ASURA_CODE_SECTION(name)

#define ASURA_USE_PLATFORM_VECTORS (1)	

#endif   // ifndef __COMPILER_H__


/// End of file. ///
