//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Chunk_Loaders.cpp
//
// Copyright (c) 2005 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// Engine independent.
#include "ChunkSystem/Asura_Chunk_Loaders.h"

// PSP
#include <scratchpad.h>

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

char* Asura_ChunkLoading_System::Platform_GetTempChunkMemory( u_int uBytesReqd )
{
	Asura_Assert(uBytesReqd < SCE_SCRATCHPAD_SIZE, "Too many bytes required for temp chunk memory");
    return reinterpret_cast<char*>(SCE_SCRATCHPAD_ADDR);
}

void Asura_ChunkLoading_System::Platform_ReturnTempChunkMemory( char* pcTempMem )
{
    return;
}
