//
// Asura_PSP_Matching.h
//
// Created by KOR - 22/02/2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __ASURA_PSP_MATCHING_H__
#define __ASURA_PSP_MATCHING_H__

#ifdef ASURA_SUPPORT_EXTERNAL_NETWORK

#include <pspnet.h>

class Asura_PSP_Matching
{
public:
	static void Initialise(bool bServer);
	static void Shutdown();
	static void Update();
private:
	static void ParentHandler(int iID, int iEvent, SceNetEtherAddr *pxPeer, int iOptlen, void *pvOpt);
	static void ChildHandler(int iID, int iEvent, SceNetEtherAddr *pxPeer, int iOptlen, void *pvOpt);
	// Static members
	static bool	s_bInitialised;
	static int	s_iContextID;
	static bool	s_bParent;
};

#endif//ASURA_SUPPORT_EXTERNAL_NETWORK

#endif//__ASURA_PSP_MATCHING_H__
