//
// Asura_PSP_Blur.h
//
// Created by JG - 10/10/2005 14:31:19
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __ASURA_PSP_BLUR_H__
#define __ASURA_PSP_BLUR_H__

class Asura_PSP_Blur
{
public:
	static void Initialise( void );
	static void Render(); 
	static void Render( const char* cDisplayList, const unsigned int uCurrentRenderingBuffer );
	static void RenderMaterialGlow( const char* cDisplayList, const unsigned int uCurrentRenderingBuffer );
	static void RenderDepthField( const char* cDisplayList, const unsigned int uCurrentRenderingBuffer );
	
	static void SetEnabled(bool bEnabled) { s_bEnabled = bEnabled; }
	// KOR - 11/01/2006 - Brightness from 0 to 1
	static void SetBrightness(float fBrightness) { s_uBrightness = static_cast<u_int>(fBrightness * 255.f); }

	static u_int s_uBrightness;
	static bool s_bEnabled;
};

#endif//__ASURA_PSP_TUNER_H__
