//
// Asura_Platform_Glass.cpp
//
// Created by KOR - 10 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "Entity/Glass/Asura_ClientEntity_Glass.h"

// Asura headers
#include "Camera/Asura_Camera.h"
#include "Rendering/Asura_Render.h"

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

void Asura_ClientEntity_Glass::Platform_Render( unsigned uCamVisFlags )
{
	extern void Render_Rectangle( const Asura_WorldSpace_Rectangle& xRect, u_int uColour, int iTexIdx, const float* pfUs, const float* pfVs, bool bWireframe = false );

	for(int i=0; i<Asura_Camera::GetNumberOfCameras(); i++)
	{
		if (uCamVisFlags & (1 << i))
		{
			Asura_Camera::SetCameraIndex(i);

			Asura_Render::ApplyCameraSettings();

			Render_Rectangle( m_xPane, m_uColour, m_iTextureIndex, m_afU, m_afV );
			Asura_Render::AddToTrianglesRendered(2, 1, ASURA_RENDER_TTYPE_GLS);
		}
	}
}

