//
// Asura_GX_Glow.h
//
// Created by KOR - 29 November 2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_GX_FOG_H__
#define __ASURA_GX_FOG_H__

#include <revolution/gx/gxstruct.h>

class Asura_GX_Glow
{
public:
	static void Initialise();
	static void Shutdown();
	static void Render();
private:
	static void RenderQuad(const float fWidth, const float fHeight);
	static void CopyToWorkBuffer(const int iWidth, const int iHeight);

	static u_char*		s_pucTopLeftBackupBuffer;
	static u_char*		s_pucWorkBuffer;
	static GXTexObj		s_xTopLeftBackupTex;
	static GXTexObj		s_xWorkTex;
};

#endif//__ASURA_GX_FOG_H__