//
// Asura_Wii_Skybox.h
//
// Created by KOR - 08 January 2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_WII_SKYBOX_H__
#define __ASURA_WII_SKYBOX_H__

#include "Core/Asura_Maths.h"

class Asura_Wii_Skybox
{
public:
	static void DoRenderSetup();
	static void Render(bool bInvert = false);

	static int GetTextureIndex(int iIndex) { return s_aiSkyBoxTextureIndex[iIndex]; }
	static const Asura_Vector_3* GetVertexBuffer() { return s_axVertices; }
private:
	static int				s_aiSkyBoxTextureIndex[6];
	static Asura_Vector_3	s_axVertices[8];
};

#endif//__ASURA_WII_SKYBOX_H__