//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_Xbox360_Character.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __ASURA_CHUNK_RESOURCEFILE_XBOX360_CHARACTER_H__
#define __ASURA_CHUNK_RESOURCEFILE_XBOX360_CHARACTER_H__

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

// Asura Platform-independent
#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

// V2 - DMR 06/12/06 - Supports multiple elements, and added this version number
// V3 - RAR 21/06/07 - Added a second material response ID per strip
// V4 - AS 04/01/08	- Added dual texturing
// V5 - AS 03/04/08	- Added bone maps

static const int iASURA_CHUNK_XBOX360_CHARACTER_VERSION = 5;

class Asura_Chunk_Stream;

class Asura_Chunk_ResourceFile_Xbox360_Character : public Asura_Chunk_ResourceFile
{
public:

	bool Process( const char* const szFilename, Asura_Chunk_Stream& xStream );
};

#endif // !defined __ASURA_CHUNK_RESOURCEFILE_XBOX360_CHARACTER_H__
