//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_Xbox360_Skin.h
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __ASURA_CHUNK_RESOURCEFILE_XBOX360_SKIN_H__
#define __ASURA_CHUNK_RESOURCEFILE_XBOX360_SKIN_H__

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_Chunk_Stream;

////////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_Xbox360_Skin
//
// Chunk containing a single Xbox 360 skin
//
////////////////////////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_Xbox360_Skin : public Asura_Chunk_ResourceFile
{
public:

	static const int iCURRENT_VERSION = 1;

	bool Process( const char* const szFilename, Asura_Chunk_Stream& xStream );
};

#endif // !defined __ASURA_CHUNK_RESOURCEFILE_XBOX360_SKIN_H__
