//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_Xbox360_XPR.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __ASURA_CHUNK_RESOURCEFILE_XBOX360_XPR_H__
#define __ASURA_CHUNK_RESOURCEFILE_XBOX360_XPR_H__

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

// Asura Platform-independent
#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_Chunk_Stream;

////////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_Xbox360_XPR
//
// Class used to process bundled resource chunks
//
////////////////////////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_Xbox360_XPR : public Asura_Chunk_ResourceFile
{
public:

	// Class Functions
	bool Process( const char* const szFilename, Asura_Chunk_Stream& xStream );
};

#endif // !defined __ASURA_CHUNK_RESOURCEFILE_XBOX360_XPR_H__
