

#ifndef _ASURA_XBOX360_FSFX_H_
#define _ASURA_XBOX360_FSFX_H_

// DMR - 5/03/07 - Added functions to use the existing FSFX shaders to create a blurred copy of the 
//                 back buffer, so we can use it for HUD effects

class Asura_Xbox360_FSFX
{

public:
	static void  UpdateBlurredBuffer(int iBlurPasses, float fBlurRadius, float fSaturation, bool bExtractDepthOfField = false, float fDist0 = 0, float fDist1 = 0, float fBleedScale = 1);
	static Direct3D_Texture *GetBlurredBuffer(void);

};


#endif //_ASURA_XBOX360_FSFX_H_