#error Old File
//*******************************************************************
//
// File: Asura_XBox360_Job_Manager.h
//
// Created: 25 June 2007 DLH
//
// Description: 
//
//*******************************************************************

#ifndef __ASURA_XBox360_JOB_MANAGER_H__
#define __ASURA_XBox360_JOB_MANAGER_H__

#if defined( ASURA_SUPPORT_MULTITHREADED_JOB_QUEUE)
// other libraries

// internal dependencies

// forward declarations
class Asura_Job_Queue;
class Asura_Job_TaskQueue;
typedef bool (*Asura_XBox360_Job_Manager_Job_Function)( void* pData);

//*******************************************************************
// Constants
//*******************************************************************


//*******************************************************************
// Class Definitions
//*******************************************************************

class Asura_XBox360_Job_Manager
{
public:
	static void Initialise();
	static void Shutdown();
	
	static void AddJobCountToQueue( const u_int uJobsCount);
	static void RemoveJobCountFromQueue( const u_int uJobsCount);
	
	static void AddJob( Asura_XBox360_Job_Manager_Job_Function pfnJobFuncation, void* pJobData);
	static void AddJob( Asura_Job_Queue* pxJobQueue, Asura_Job_TaskQueue* pxJobTaskQueue);
	
	static void WaitForAllJobsToFinish();
};

//*******************************************************************
// Inline Function Definitions
//*******************************************************************


//*******************************************************************
//
// (c) 2006 Rebellion
//
// Warning: This computer program is protected by copyright law and 
// international treaties. Unauthorized reproduction or distribution
// of this program, or any portion of it, may result in severe civil and
// criminal penalties, and will be prosecuted to the maximum extent 
// possible under the law.
//
//*******************************************************************

#endif //defined( ASURA_SUPPORT_MULTITHREADED_JOB_QUEUE)

#endif // __ASURA_XBox360_JOB_MANAGER_H__
