// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdChannelChat/bdGetChannelMemberNamesResult.h>

#define BD_LOG_LEVEL "getChannelMemberNamesResult"

bdGetChannelMemberNamesResult::bdGetChannelMemberNamesResult()
{
}

bdGetChannelMemberNamesResult::~bdGetChannelMemberNamesResult()
{
	m_memberList.clear();
}

bdBool bdGetChannelMemberNamesResult::handleResult(bdUInt numRows, bdBitBufferRef buffer)
{
	bdBool ok = true;

	if (numRows > 0)
	{
		bdUInt i;
		for (i=0; i<numRows; i++)
		{
			bdGetChannelMemberNamesResult::bdChannelMember channelMember;

			ok = ok && buffer->readUInt64(channelMember.m_userID);
			ok = ok && buffer->readString(channelMember.m_userName, BD_MAX_USERNAME_LENGTH);

			if (ok)
			{
				m_memberList.pushBack(channelMember);
			}
		}
	}
	return ok;
}

