// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#ifndef BD_GET_CHANNEL_MEMBER_NAMES_RESULT_H
#define BD_GET_CHANNEL_MEMBER_NAMES_RESULT_H

#include <bdCore/bdCore.h>
#include <bdLobby/bdLobbyCommon/bdLobbyServicesCommon.h>
#include <bdLobby/bdLobbyCommon/bdQueryResult.h>

class bdGetChannelMemberNamesResult : public bdQueryResult
{
public:
	BD_DECLARE_NEW_AND_DELETE_OPERATORS

	class bdChannelMember
	{
	public:
		BD_DECLARE_NEW_AND_DELETE_OPERATORS
		
		~bdChannelMember(){};
		bdUInt64 m_userID;
		bdNChar8 m_userName[BD_MAX_USERNAME_LENGTH];
	};

	bdGetChannelMemberNamesResult();

	~bdGetChannelMemberNamesResult();

	bdBool handleResult(bdUInt numRows, bdBitBufferRef buffer);

	bdArray<bdChannelMember> m_memberList;
};

#endif // BD_GET_CHANNEL_MEMBER_NAMES_RESULT_H

