// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdFriends/bdGetBlockListResult.h>

bdGetBlockListResult::bdGetBlockListResult()
{
}

bdGetBlockListResult::~bdGetBlockListResult()
{
	m_blockList.clear();
}

bdBool bdGetBlockListResult::handleResult(const bdUInt numResults, 
										  bdBitBufferRef buffer)
{
	bdBool ok = true;

	for(bdUInt i=0; ok && (i < numResults); i++)
	{
		bdGetBlockListResult::bdBlockedUser blockedUser;

		ok = buffer->readUInt64(blockedUser.m_userID);
		ok = ok && buffer->readString(blockedUser.m_userName, BD_MAX_USERNAME_LENGTH);
		ok = ok && buffer->readUByte8(blockedUser.m_blockLevel);
		
		if(ok)
		{
			m_blockList.pushBack(blockedUser);
		}
	}

	m_numResults = m_blockList.getSize();
	return ok;
}

