// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdFriends/bdGetFriendsResult.h>

bdGetFriendsResult::bdGetFriendsResult()
{
}

bdGetFriendsResult::~bdGetFriendsResult()
{
	m_friends.clear();
}

bdBool bdGetFriendsResult::handleResult(const bdUInt numResults, 
										bdBitBufferRef buffer)
{
	bdBool ok = true;

	for(bdUInt i=0; ok && (i < numResults); i++)
	{
		bdGetFriendsResult::bdFriend f;

		ok = buffer->readUInt64(f.m_userID);
		ok = ok && buffer->readString(f.m_userName, BD_MAX_USERNAME_LENGTH);
		ok = ok && buffer->readBool(f.m_isOnline);

		if(ok)
		{
			m_friends.pushBack(f);
		}
	}
	m_numResults = m_friends.getSize();
	return ok;
}
