// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdMessageStore/bdMessageTypes/bdChannelNotificationMessage.h>

bdChannelNotificationMessage::bdChannelNotificationMessage(const bdUInt messageType)
: bdLobbyMessage(messageType)
{
	bdMemset(m_originatorName, '\0', sizeof(m_originatorName));
	bdMemset(m_channelName, '\0', sizeof(m_channelName));
}

bdChannelNotificationMessage::~bdChannelNotificationMessage()
{
}

bdBool bdChannelNotificationMessage::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = bdLobbyMessage::deserialize(buffer);
	
	ok = ok && buffer->readUInt64(m_originatorID);
	ok = ok && buffer->readString(m_originatorName, BD_MAX_USERNAME_LENGTH);
	ok = ok && buffer->readUInt64(m_channelID);
	ok = ok && buffer->readString(m_channelName, BD_MAX_CHANNELNAME_LENGTH);
	
	return ok;
}
