// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS


#include <bdLobby/bdTeams/bdTeamMemberInfo.h>

#define BD_LOG_LEVEL "teamMemberInfo"

bdTeamMemberInfo::bdTeamMemberInfo()
: m_memberID(0),
  m_teamID(0)
{
}

bdTeamMemberInfo::~bdTeamMemberInfo()
{
}

void bdTeamMemberInfo::serialize(bdBitBuffer&)
{
}

bdBool bdTeamMemberInfo::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = buffer->readUInt64(m_teamID);
	ok = ok && buffer->readUInt64(m_memberID);

	if (!ok)
	{
		BD_ERR(BD_LOG_LEVEL, "Deserialization failed");
	}
	return ok;
}

bdOnlineUserID bdTeamMemberInfo::getMemberID() const
{
	return m_memberID;
}

bdTeamID bdTeamMemberInfo::getTeamID() const
{
	return m_teamID;
}

