// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#ifndef BD_UNIT_TRACKER
#define BD_UNIT_TRACKER


#include <bdLobby/bdLobbyCommon/bdLobbyServicesCommon.h>


typedef bdUInt64 bdUnitID;

/// This class is used to report the display of advertisement units
class bdUnitTracker
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdUnitTracker();

		~bdUnitTracker();

		void serialize(bdBitBuffer &buffer);

		/// The unit identifier
		bdUnitID m_unitID;

		/// Number of times the specified unit has been displayed
		bdUInt32  m_numImpressions;
};

#endif //BD_UNIT_TRACKER

