// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: WIN32
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#if defined (BD_PLATFORM_WIN32)

#include <malloc.h>

inline 
void* BD_CALL bdMalloc(bdUWord size)
{
	void *const ptr = ::malloc(size);
	return ptr;
}

inline 
void BD_CALL bdFree(void *p)
{
	::free(p);
}

inline 
void* BD_CALL bdRealloc(void *p,
										bdUWord size)
{
	void *const ptr = ::realloc(p, size);
	return ptr;
}
/*
inline 
void* BD_CALL bdAlignedMalloc(bdUInt size,
											  bdUInt align)
{
	void *const ptr = ::_aligned_malloc(size, align);
	return ptr;
}

inline 
void BD_CALL bdAlignedFree(void *p)
{
	::_aligned_free(p);
}

inline 
void* BD_CALL bdAlignedRealloc(void *p,
											   bdUInt size,
											   bdUInt align)
{
	void *const ptr = ::_aligned_realloc(p, size, align);
	return ptr;
}
*/
#else

# error BD_PLATFORM_WIN32 must be defined to use win32 memory functions.

#endif // defined (BD_PLATFORM_WIN32)
