/* SCE CONFIDENTIAL
*  Copyright (C) 2007 Sony Computer Entertainment Inc.
*  All Rights Reserved.
*/


#ifndef GCM_REPLAY_H
#define GCM_REPLAY_H

#include <sdk_version.h>

// forward declarations
struct CellGcmContextData;
struct CellGcmSurface;

namespace cell
{
	namespace Gcm
	{
		namespace Replay
		{
			namespace Capture
			{
				/// Returns true if libcapture is currently in the process of capturing push buffers
				bool IsCurrentlyCapturing( void );

				/// Notify GcmReplay of the surface or render target which should be captured by screenshot and video capture commands
				void NotifyCaptureSurface( CellGcmContextData* pCellGcmContext, CellGcmSurface const* pCellGcmSurface );
			}
		}
	}
}

#endif
