//////////////////////////////////////////////////////////////////////////////
//
// AVP_Behaviour_Panic_Mechanic_Trigger.h
//
// Created by NJD - 22 December 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AVP_BEHAVIOUR_PANIC_MECHANIC_TRIGGER_H__
#define __AVP_BEHAVIOUR_PANIC_MECHANIC_TRIGGER_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Behaviour/Axon_Project_Behaviour.h"

//////////////////////////////////////////////////////////////////////////////
//
// AVP_Behaviour_Panic_Mechanic_Trigger
//
//////////////////////////////////////////////////////////////////////////////

class AVP_Behaviour_Panic_Mechanic_Trigger : public Axon_Project_Behaviour
{
    typedef Axon_Project_Behaviour PARENT;

public:
    AVP_Behaviour_Panic_Mechanic_Trigger( Axon_Project_Brain* pxBrain );
    virtual ~AVP_Behaviour_Panic_Mechanic_Trigger() {}

protected:
    virtual void Update( const float fTimeslice );

private:

	Asura_Guid FindLikeleyTarget( void );

    enum UpdateState
    {
        US_UNSET,
        US_TRIGGERED_PANIC_MECHANIC,

        NUM_UPDATE_STATES
    } m_eUpdateState;
};

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //__AVP_BEHAVIOUR_PANIC_MECHANIC_TRIGGER_H__
