//////////////////////////////////////////////////////////////////////////////
//
// AVP_Behaviour_GS2Node_Marine_LookAt.h
//
// Copyright (C) 2008 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif
#ifndef __AVP_BEHAVIOUR_GS2SPLINE_HUMAN_CORESPLINEWITHGUNFIRE_H__
#define __AVP_BEHAVIOUR_GS2SPLINE_HUMAN_CORESPLINEWITHGUNFIRE_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////
// Axon
#include "Behaviour/BehaviourTypes/Axon_Behaviour_GS2Spline.h"

// Avp Axon
#include "Core/BrainTypes/AVP_Brain_Actor.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////


//////////////////////////////////////////////////////////////////////////////
//
// AVP_Behaviour_GS2Spline_Human_CoreSplineWithGunFire
//
//////////////////////////////////////////////////////////////////////////////

class AVP_Behaviour_GS2Spline_Human_CoreSplineWithGunFire : public Axon_Behaviour_GS2Spline
{
	typedef Axon_Behaviour_GS2Spline PARENT;

public:

	AVP_Behaviour_GS2Spline_Human_CoreSplineWithGunFire( AVP_Brain_Actor* pxBrain );


protected:

	virtual void ReadFromChunkStream( Asura_Chunk_Stream& xStream );
	virtual void WriteToChunkStream( Asura_Chunk_Stream& xStream ) const;
	virtual void PerFrameUpdate( const float fTimeslice );

private:

	enum { CURRENT_CHUNK_VERSION = 1 };

	AVP_Brain_Actor*		GetActorBrain( void ) const;

#ifndef ASURA_NO_DEBUG_OUTPUT
	void					RenderDebugInfo();
	float					GetDbgOutputPosX() const		{ return GetActorBrain()->GetDebugOutputPos().x; }
	float					GetDbgOutputPosY() const		{ return GetActorBrain()->GetDebugOutputPos().y; }
#endif

	static const u_int uCURRENT_CHUNK_VERSION = 0;
};

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //__AVP_BEHAVIOUR_GS2SPLINE_HUMAN_CORESPLINEWITHGUNFIRE_H__
