//---------------------------------------------------------------------------
// File			: AVP_Behaviour_Marine_TequilaCarried.cpp
// Created		: 
// Created By	: Gareth Thomas
// Copyright (C) 2007 Rebellion. All Rights Reserved.
//---------------------------------------------------------------------------

// INCLUDES ///////////////////////////////////////////////////////////

// core
#include "Core/Asura.h"
// header
#include "Behaviour/BehaviourTypes/Human/Marine/AVP_Behaviour_Marine_TequilaCarried.h"
// asura
#ifndef ASURA_NO_DEBUG_OUTPUT
#include "Rendering/Asura_Font_System.h"
#endif
// axon

// AVP axon
#include "Behaviour/BehaviourTypes/AVP_Behaviour_Types.h"
#include "Core/BrainTypes/AVP_Brain_Actor_Marine.h"

//---------------------------------------------------------------------------
// AVP_Behaviour_Marine_MeleePlayer :: Constructor
//---------------------------------------------------------------------------
AVP_Behaviour_Marine_TequilaCarried::AVP_Behaviour_Marine_TequilaCarried( AVP_Brain_Actor_Marine* pxBrain )
: PARENT( pxBrain, AVP_BEHAVIOUR_TYPE_MARINE_TEQUIILACARRIED )
{

}

//---------------------------------------------------------------------------
// AVP_Behaviour_Marine_MeleePlayer :: Deconstructor
//---------------------------------------------------------------------------
AVP_Behaviour_Marine_TequilaCarried::~AVP_Behaviour_Marine_TequilaCarried( void )
{

}

//---------------------------------------------------------------------------
// AVP_Behaviour_Marine_MeleePlayer :: PerFrameUpdate
//---------------------------------------------------------------------------
void AVP_Behaviour_Marine_TequilaCarried::PerFrameUpdate( const float fTimeslice )
{
}

//---------------------------------------------------------------------------
// AVP_Behaviour_Marine_MeleePlayer :: RenderDebugInfo
//---------------------------------------------------------------------------
#ifndef ASURA_NO_DEBUG_OUTPUT
void AVP_Behaviour_Marine_TequilaCarried::RenderDebugInfo( void )
{
	PARENT::RenderDebugInfo();

	Asura_Font_System::Print
	(
		GetProjectBrain()->GetDebugOutputPos().x,
		GetProjectBrain()->GetDebugOutputPos().y,
		0.5f, 
		AVP_Brain_Actor_Marine::s_uTemporaryChildDebugColour,
		ASURA_TEXTFORMAT_CENTREJUSTIFIED, 
		"TEQUILA BEING CARRIED"
	);

	// Offset the debug output position for other behaviours to render there own text
	GetProjectBrain()->GetDebugOutputPos().y += 10.0f;
}
#endif

/// End Of File 'AVP_Behaviour_Marine_TequilaCarried.cpp'
