
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Vertebrate_Description.cpp
// Author : Anthony Gregson
// Date   : 17/03/08
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Actor/Vertebrates/AVP_Vertebrate_Description.h"

// Asura independent header-files...

// Asura platform header-files...

// Game independent header-files...

// Game platform header-files...

// Marker-point hash-IDs...
const Asura_Hash_ID AVP_Vertebrate_Description::s_auMarkerPointHashIDs[AVP_Vertebrate_Description::NUM_MARKER_POINT_IDS] =
{
	0xE5A85D03,		// Asura_GetHashID("target_1");				 	// MPID_TARGET_1
	0xE5A85D04,		// Asura_GetHashID("target_2");				 	// MPID_TARGET_2
	0x002FBC62,		// Asura_GetHashID("eyes");				 		// MPID_EYES
	0x4D56C76E,		// Asura_GetHashID("attackorigin");				// MPID_MELEEORIGIN
};

/// End of file. ///
