
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Human_CameraHandler.h
// Author : Chris Wallace
// Date   : 5-Feb-2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_HUMAN_CAMERAHANDLER_H__
#define __AVP_HUMAN_CAMERAHANDLER_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Actor/Vertebrates/AVP_Vertebrate_CameraHandler.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Class        : AVP_Human_CameraHandler
// Author       : Andy Tate
// Date         : 16-Oct-2006
//
// Description  : Class to the handle the human specific camera manipulation.
////////////////////////////////////////////////////////////////////////////////

class AVP_Human_CameraHandler : public AVP_Vertebrate_CameraHandler
{
public:

	AVP_Human_CameraHandler					(const Asura_Guid uOwnerGuid);
//	virtual ~AVP_Human_CameraHandler ();

//	virtual	void	Update					();
//	virtual	void	SetAsuraCamera			();
//	virtual void	SetCameraType			(const CameraType eType);

	virtual bool CanZoomOut(void);

protected:


private:

	typedef AVP_Vertebrate_CameraHandler PARENT;

	AVP_Human_CameraHandler  (const AVP_Human_CameraHandler& xOther);
	AVP_Human_CameraHandler&	operator=	(const AVP_Human_CameraHandler& xOther);

};   // End of class 'AVP_Human_CameraHandler'.

#endif   // ifndef __AVP_HUMAN_CAMERAHANDLER_H__


/// End of file. ///
