
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Predalien_AIAnimStateData.h
// Author : Will Plano
// Date   : 8/11/2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_PREDALIEN_AIANIMSTATEDATA_H__
#define __AVP_PREDALIEN_AIANIMSTATEDATA_H__

#include "Actor/Vertebrates/Predalien/AVP_Predalien_AIAnimStateMachine.h"

class AVP_Actor_AnimStateData;

class AVP_Predalien_AIAnimStateData
{
public:
	static const AVP_Actor_AnimStateData* GetAnimStateData( const Asura_Hash_ID uAnimStateBlueprintType, u_int uState );

	static void Initialise( const Asura_Hash_ID uAnimStateBlueprintType );
	static void ResetStorage();

private:

	static AVP_Actor_AnimStateData* s_apxAnimStateData[ AVP_Predalien_AIAnimStateMachine::PREDALIEN_STATE_END ];
	static bool s_bInitialised;

	AVP_Predalien_AIAnimStateData();
	AVP_Predalien_AIAnimStateData(const AVP_Predalien_AIAnimStateData& xOther);
	AVP_Predalien_AIAnimStateData&	operator=(const AVP_Predalien_AIAnimStateData& xOther);
};

#endif // __AVP_PREDALIEN_AIANIMSTATEDATA_H__
