
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Predator_AIAnimStateConnections.h
// Author : Will Plano
// Date   : 21/09/2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_PREDATOR_AIANIMSTATECONNECTIONS_H__
#define __AVP_PREDATOR_AIANIMSTATECONNECTIONS_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Actor/Vertebrates/Predator/AVP_Predator_AIAnimStateMachine.h"

class AVP_Actor_AIAnimStateConnectionData;

class AVP_Predator_AIAnimStateConnections
{
public:
	static const AVP_Actor_AIAnimStateConnectionData* GetConnectionData( const u_int uStateFrom, const u_int uStateTo );
private:
	static bool s_bInitialised;
	static const AVP_Actor_AIAnimStateConnectionData* s_aapxConnectionsMatrix[ AVP_Predator_AIAnimStateMachine::PREDATOR_STATE_END ][ AVP_Predator_AIAnimStateMachine::PREDATOR_STATE_END ];
};

#endif   // ifndef __AVP_PREDATOR_AIANIMSTATECONNECTIONS_H__

/// End of file. ///
