
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Predator_CameraHandler.h
// Author : Andy Tate
// Date   : 16-Oct-2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_PREDATOR_CAMERAHANDLER_H__
#define __AVP_PREDATOR_CAMERAHANDLER_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Actor/Vertebrates/AVP_Vertebrate_CameraHandler.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Class        : AVP_Predator_CameraHandler
// Author       : Andy Tate
// Date         : 16-Oct-2006
//
// Description  : Class to the handle the Predator specific camera manipulation.
////////////////////////////////////////////////////////////////////////////////

class AVP_Predator_CameraHandler : public AVP_Vertebrate_CameraHandler
{
public:

	AVP_Predator_CameraHandler				(const Asura_Guid uOwnerGuid);
//	virtual ~AVP_Predator_CameraHandler ();

	virtual	void	Update					(AVP_ClientEntity_Actor& xOwner);
//	virtual	void	SetAsuraCamera			();
//	virtual void	SetCameraType			(const CameraType eType);

protected:


private:

	typedef AVP_Vertebrate_CameraHandler PARENT;

	AVP_Predator_CameraHandler  (const AVP_Predator_CameraHandler& xOther);
	AVP_Predator_CameraHandler&	operator=	(const AVP_Predator_CameraHandler& xOther);

};   // End of class 'AVP_Predator_CameraHandler'.


#endif   // ifndef __AVP_PREDATOR_CAMERAHANDLER_H__


/// End of file. ///
