
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_StateMachine_Playing.h
// Author : Anthony Gregson
// Date   : 03/12/07
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_STATEMACHINE_PLAYING_H__
#define __AVP_STATEMACHINE_PLAYING_H__



////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////
#include "Core/AVP_StateMachine.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Class  : AVP_StateMachine_Playing
// Author : Anthony Gregson
// Date   : 03/12/07
////////////////////////////////////////////////////////////////////////////////

class AVP_StateMachine_Playing : public AVP_StateMachine
{
public:
	enum State
	{
		STATE_INACTIVE,
		STATE_STARTING,
		STATE_INPROGRESS,
		STATE_GAMEOVER,

		MAX_STATES
	};

	AVP_StateMachine_Playing();
	virtual ~AVP_StateMachine_Playing() {}

	virtual void Initialise();
	virtual void Shutdown();

protected:
#ifdef AVP_STATEMACHINE_LOGGING
	virtual const char* GetStateMachineName() { return "AVP_StateMachine_Playing"; }
#endif //#ifdef AVP_STATEMACHINE_LOGGING

private:
};   // End of class 'AVP_StateMachine_Playing'.


#endif   // ifndef __AVP_STATEMACHINE_PLAYING_H__


/// End of file. ///
