/////////////////////////////////////////////////////////////////////////////////////////////////////////
///
/// This is no longer used/needed but is kept just in case design changes its mind and want devoted
/// pheromone entities
///
/////////////////////////////////////////////////////////////////////////////////////////////////////////
/*

///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_ClientEntity_AcidDamage.h
// Author : Andy Tate
// Date   : 28-Feb-2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_CLIENTENTITY_PHEROMONE_H__
#define __AVP_CLIENTENTITY_PHEROMONE_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Entity/Asura_Entity_Renderable.h"
#include "SpecialFX/AVP_PheromoneTrail.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////

class Asura_Message;

class AVP_Message_Pheromone_Create;


////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Class        : AVP_ClientEntity_Pheromone
// Author       : Andy Tate
// Date         : 28-Feb-2008
//
// Description  : Client-side class to handle displaying of acid-damage.
////////////////////////////////////////////////////////////////////////////////

class AVP_ClientEntity_Pheromone : public Asura_Entity_Renderable
{
public:
	// Public typedefs...
	typedef Asura_Classified_List<AVP_ClientEntity_Pheromone> PheromoneList;

	// Public functions...
	static AVP_ClientEntity_Pheromone*	Create(const Asura_Message* pxMessage);

	// Overridden functions...
	virtual void	Update(void);

	// Accessor functions...
	static AVP_ClientEntity_Pheromone*	FindEntity(const Asura_Guid uGuid)	{ return(s_xList.FindEntity(uGuid)); }
	static const PheromoneList&		GetList(void)						{ return(s_xList); }


protected:
	// Protected variables...

	// Protected functions...
	AVP_ClientEntity_Pheromone(const AVP_Message_Pheromone_Create& xMessage);
	virtual ~AVP_ClientEntity_Pheromone();

	// Overridden functions...
	virtual void	Render(void);


private:
	// Private typedefs...
	typedef Asura_Entity_Renderable PARENT;

	// Private variables...
//	AVP_PheromoneTrail m_xTrail;

	// Static variables...
	static PheromoneList	s_xList;

	// Private functions...
	AVP_ClientEntity_Pheromone(void);
	AVP_ClientEntity_Pheromone(const AVP_ClientEntity_Pheromone& xOther);

	AVP_ClientEntity_Pheromone&	operator=(const AVP_ClientEntity_Pheromone& xOther);

};   // End of class 'AVP_ClientEntity_Pheromone'.


#endif   // ifndef __AVP_CLIENTENTITY_ACIDDAMAGE_H__


/// End of file. ///
*/