//////////////////////////////////////////////////////////////////////////////
//
// AVP_Messages_InteractInvisiSwitch.cpp
//
// Created by CAH 25/02/2009
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// INCLUDES

#include "Core/Asura.h"

#include "Entity/PhysicalObject/Interact/InvisiSwitch/AVP_Messages_InteractInvisiSwitch.h"

#include "Entity/PhysicalObject/Interact/InvisiSwitch/AVP_ServerEntity_InteractInvisiSwitch.h"

////////////////////////////////////////////////////////////////////////////////
// CLASS FUNCTIONS
// AVP_Message_InteractBatteryReceptacle_ClientCreate

////////////////////////////////////////////////////////////////////////////////
// Function     : AVP_Message_InteractInvisiSwitch_ClientCreate::FillInteractionObject
// Author       : Callum Hope CAH
// Date         : 25/02/09
// Scope		: Public
//
// Desc			: Adds all the needed data we only have above PARENT level to the message in place of a construtor.
////////////////////////////////////////////////////////////////////////////////
void AVP_Message_InteractInvisiSwitch_ClientCreate::FillInteractionObject( const AVP_ServerEntity_InteractInvisiSwitch* pxObject )
{
	PARENT::FillInteractionObject( pxObject );
}
