//////////////////////////////////////////////////////////////////////////////
//
// AVP_Pickup_Weapon.h
//
// (AJK - 27.08.2008) Created
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __AVP_PICKUP_WEAPON__
#define __AVP_PICKUP_WEAPON__

// AVP
#include "Entity/PhysicalObject/Pickup/AVP_Pickup.h"
#include "Inventory/AVP_Inventory_HashIDs.h"

class AVP_Pickup_Weapon : public AVP_Pickup
{
	friend class AVP_Pickup;

public :        

	virtual void		  InitFromBlueprint();
	virtual Asura_Hash_ID GetGroupHash() const { return uAVP_INVENTORY_GROUPHASH_WEAPON; }
	Asura_Hash_ID GetWeaponType() const { return m_uWeaponTypeHash; }

protected :

	AVP_Pickup_Weapon(Asura_Hash_ID);

private	:

	Asura_Hash_ID m_uWeaponTypeHash;
};

#endif // #ifndef __AVP_PICKUP_WEAPON__
