////////////////////////////////////////////////////////////////////////////////
// Class        : AVP_Alien_Move_Interaction_DestroyBattery
// Author       : Ali Jakamy
// Date         : 03/01/08
////////////////////////////////////////////////////////////////////////////////

#include "Moves/AVP_Moves.h"

class AVP_Alien_Move_Interaction_DestroyBattery : public AVP_Move
{
public:
	AVP_Alien_Move_Interaction_DestroyBattery(Asura_Movement_System& xParentSystem);

	static Asura_Hash_ID GetStaticHash() { return 0x181AA7F2; } // Asura_GetHashID("AVP_Alien_Move_Interaction_DestroyBattery")); }

protected:
	virtual bool Start(const Asura_Msg_Move* pxStartMsg);

	Asura_MoveData_OrientationInterpolation m_xOrientationInterpolationData;
	Asura_MoveData_PositionInterpolation    m_xPositionInterpolationData;

private:
	typedef AVP_Move PARENT;
};   
