//
// AVP_Multiplayer_PlayerScore.cpp
//
// Created by JG - 25 July 2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "Multiplayer/AVP_Multiplayer_PlayerScore.h"

AVP_Multiplayer_PlayerScore::AVP_Multiplayer_PlayerScore( Asura_Guid uPlayerGuid )
: m_uPlayerGuid( uPlayerGuid )
{
	Reset(); 	
}

AVP_Multiplayer_PlayerScore::~AVP_Multiplayer_PlayerScore( void )
{

}

void AVP_Multiplayer_PlayerScore::Reset( void )
{
	// Reset all the scores for this player
	m_iIndividualScore = 0; 
	m_uNumberOfKillsAsAlien = 0;
	m_uNumberOfKillsAsMarine = 0;
	m_uNumberOfKillsAsPredator = 0;
	m_uNumberOfKillAssists = 0; 
	m_uNumberOfTimesKilled = 0;
	m_uKillStreak = 0; 
	m_uNumberOfHeadshots = 0; 
	m_uNumberOfHeadbites = 0; 
	m_uNumberOfTrophies = 0;

	// Also reset team scores
	// NOTE: this data ISN'T stored here, only
	// sent to clients along with inidividual score
	// The team score is stored in AVP_Multiplayer_TeamScore
	m_iTeamOneScore = 0; 
	m_iTeamTwoScore = 0; 
	m_iTeamThreeScore = 0; 
}