//////////////////////////////////////////////////////////////////////////////
//
// AVP_Decal_System.h
//
// Copyright (c) 2007 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __AVP_DECAL_SYSTEM_H__
#define __AVP_DECAL_SYSTEM_H__

/******************************************************************************/
/* Types                                                                      */
/******************************************************************************/

enum AVP_Decal_Template
{
	AVP_DECAL_ACID,
	AVP_DECAL_ACID_SMALL,
	AVP_DECAL_CONCRETE,
	AVP_DECAL_CONCRETE_PLASMA,
	AVP_DECAL_DIRT,
	AVP_DECAL_DIRT_PLASMA,
	AVP_DECAL_METAL,
	AVP_DECAL_METAL_PLASMA,
	AVP_DECAL_SLASH,
	AVP_DECAL_WOOD,
	AVP_DECAL_WOOD_PLASMA,
	AVP_DECAL_DISC_SLASH,
	AVP_DECAL_BLOOD,
	AVP_DECAL_BLOOD_SMALL,


	AVP_NUM_DECAL_TEMPLATES
};

#ifdef ASURA_TARGET_SM3
enum AVP_Decal_Material
{
	AVP_DECAL_MATERIAL_ACID,
	AVP_DECAL_MATERIAL_ACID_SMALL,
	AVP_DECAL_MATERIAL_CONCRETE,
	AVP_DECAL_MATERIAL_DIRT,
	AVP_DECAL_MATERIAL_METAL,
	AVP_DECAL_MATERIAL_SLASH,
	AVP_DECAL_MATERIAL_WOOD,
	AVP_DECAL_MATERIAL_DISC_SLASH,
	AVP_NUM_DECAL_MATERIALS
};
#endif

#endif // !defined __AVP_DECAL_SYSTEM_H__
