//////////////////////////////////////////////////////////////////////////////
//
// Asura_Project_SpecialFX.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "SpecialFX/Asura_Beam_System.h"
#include "SpecialFX/Asura_SpecialFX.h"
#include "SpecialFX/AVP_Laser.h"
#include "SpecialFX/AVP_GlowOutlines.h"

//////////////////////////////////////////////////////////////////////////////
//
// Asura_SpecialFX_System
//
//////////////////////////////////////////////////////////////////////////////

void Asura_SpecialFX_System::Project_Initialise()
{
}

void Asura_SpecialFX_System::Project_Shutdown()
{
}

void Asura_SpecialFX_System::Project_Reset()
{
}

void Asura_SpecialFX_System::Project_Update()
{
}

void Asura_SpecialFX_System::Project_Render()
{
}

void Asura_SpecialFX_System::Project_RenderLate()
{
	AVP_Laser::Render();
}

void Asura_SpecialFX_System::Project_RenderPostToneMap()
{
	AVP_GlowOutlines::RenderAll();
}


//////////////////////////////////////////////////////////////////////////////
//
// Asura_Beam_System
//
//////////////////////////////////////////////////////////////////////////////

void Asura_Beam_System::Project_Initialise( void )
{
    //SetupTemplates( a, sizeof(a) / sizeof(a[0]) );
}

void Asura_Beam_System::Project_Reset( void )
{
}

void Asura_Beam_System::Project_Shutdown( void )
{
}
