//////////////////////////////////////////////////////////////////////////////
//
// Asura_Project_Direct3D.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Rendering/Asura_Direct3D.h"
#include "Rendering/Asura_Direct3D_UserOptions.h"

#include "Core/Asura_Windows.h"

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

void Asura_Direct3D::Project_HandleInitialisationFailure()
{
	// TODO: use project's localised text
	MessageBoxW
	(
		Asura_Windows::GetWindowHandle(),
		L"Direct3d driver error",
		0,
		MB_SETFOREGROUND|MB_APPLMODAL|MB_ICONERROR|MB_OK
	);
	exit(0);
}

Asura_Direct3D_UserOptions::TexScalingInfo Asura_Direct3D_UserOptions::Project_GetTextureScalingInfo( const Asura_Direct3D_UserOptions::TexInfo xTextureInfo )
{
	return TexScalingInfo();
}

void Asura_Direct3D_UserOptions::TextureDetailSetting::Project_InitialiseSettings( BASIC_SETTING xSetting )
{
	// Nothing to override
}

bool Asura_Direct3D_UserOptions::TextureDetailSetting::Project_ApplySettings( void )
{
	// Nothing to override
	// Let the default version run
	return true;
}

void Asura_Direct3D_UserOptions::ShaderQualitySetting::Project_InitialiseSettings( BASIC_SETTING xSetting )
{
	// Nothing to override
}

bool Asura_Direct3D_UserOptions::ShaderQualitySetting::Project_ApplySettings( void )
{
	// Nothing to override
	// Let the default version run
	return true;
}

void Asura_Direct3D_UserOptions::ShadowQualitySetting::Project_InitialiseSettings( BASIC_SETTING xSetting )
{
	// Nothing to override
}

bool Asura_Direct3D_UserOptions::ShadowQualitySetting::Project_ApplySettings( void )
{
	// Nothing to override
	// Let the default version run
	return true;
}

void Asura_Direct3D_UserOptions::VisualDetailSetting::Project_InitialiseSettings( BASIC_SETTING xSetting )
{
	// Nothing to override
}

bool Asura_Direct3D_UserOptions::VisualDetailSetting::Project_ApplySettings( void )
{
	// Nothing to override
	// Let the default version run
	return true;
}

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////
