//////////////////////////////////////////////////////////////////////////////
//
// AVP_PS3_NP.cpp
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
// Description:
//
//     PSN NP identifiers for AVP
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Network/Online/Asura_PS3_NP.h"

// global data
const SceNpCommunicationId Asura_PS3_NP::s_xProject_CommunicationId = {
	{'N','P','W','R','0','0','4','6','1'},
	'\0',
	0,
	0
};

const SceNpCommunicationPassphrase Asura_PS3_NP::s_xProject_PassPhrase = {
	{
		0x31,0x87,0x0a,0xaf,0x07,0x14,0x2c,0xa5,
		0xc3,0x3d,0x3c,0x96,0xbe,0xda,0xe0,0x76,
		0xe2,0x3b,0x96,0xb9,0xd0,0xd2,0x8f,0xca,
		0xfd,0x3e,0x99,0x70,0x63,0xd8,0x19,0xe7,
		0xb4,0x5d,0x36,0xc0,0xb3,0x8e,0x12,0x24,
		0xfd,0x26,0x0b,0x8c,0x2a,0x5d,0x6d,0x7e,
		0xa3,0x2a,0x7d,0x01,0x6a,0x8f,0xa4,0xf7,
		0xfe,0x12,0xe4,0x8a,0x71,0x55,0x8c,0x8e,
		0x3d,0x27,0x30,0x46,0x2a,0x87,0x8f,0x5b,
		0xc2,0x42,0xba,0x30,0xb6,0xf8,0xaf,0x0c,
		0xed,0x8e,0x9e,0xda,0x94,0xc7,0xa3,0xfe,
		0x99,0x50,0x92,0xc5,0x9e,0xd1,0x7f,0x2a,
		0xb6,0x20,0x72,0x09,0xb6,0xab,0x97,0x5c,
		0x6e,0xf5,0x85,0x62,0x45,0x3d,0xe0,0x87,
		0x26,0x97,0xc8,0xb9,0x45,0xac,0x6f,0xdf,
		0xbc,0xe1,0xce,0xe8,0xac,0x29,0xef,0xa9
	}
};
