//////////////////////////////////////////////////////////////////////////////
//
// Tools_Project_Entity_CountedVolumeTrigger.cpp
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// Tools.
#include "Entity/Tools_Entity_CountedVolumeTrigger.h"
#include "Objects/Tools_Object.h"
#include "Objects/Tools_Object_System.h"

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

void Tools_Entity_CountedVolumeTrigger::Project_Create (void)
{
	//get a name , and the position data
	Tools_Entity_Data* pxToolsData = Tools_Entity_Object::CreateToolsData( "Counted Volume Trigger" );
	if ( !pxToolsData ) return;

	//create the asura data
	Asura_Bounding_Box xBB = { 0, 0, 0, 0, 0, 0 };
	Asura_ServerEntity_CountedVolumeTrigger* pxAsuraEntity = new Asura_ServerEntity_CountedVolumeTrigger( xBB, true );
	pxAsuraEntity->ToolsData = pxToolsData;

	//create the tools object
	Tools_Object* pxObject = new Tools_Entity_CountedVolumeTrigger( pxAsuraEntity );
	Tools_Object_System::SelectObject( pxObject );

	pxObject->SetEntityModified();
}
