//
// ToolsAVP_Entity_MultiDamageVolume.h
//
// Created by Andrew Weinkove - 14/04/2004
// 
// Copyright (C) 2004 Rebellion, All Rights Reserved.
//


#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLSAVP_ENTITY_MULTIDAMAGEVOLUME_H__
#define __TOOLSAVP_ENTITY_MULTIDAMAGEVOLUME_H__

#include "Entity/Tools_Entity_MultiDamageVolume.h"
#include "Objects/Tools_Object_System.h"

//////////////////////////////////////////////////////////////////////////////////////////////////
/*---------------------------------------**
** ToolsAVP_Entity_MultiDamageVolume **
**---------------------------------------*/

class ToolsAVP_Entity_MultiDamageVolume : public Tools_Entity_MultiDamageVolume
{
private:
	ToolsAVP_Entity_MultiDamageVolume( Asura_Entity* pxEntity );
	~ToolsAVP_Entity_MultiDamageVolume();

public:
	static void Create();
	static Tools_Object* Create( Asura_Entity* pxEntity );

	void AddOverlayControls(class Asura_Overlay* pxNewOverlay,class Asura_Vector_2& xOffset);

    void OnSelection();
    void OnDeselection();

	virtual void UpdateWhileSelected();

private:
	bool m_bStanding;
	bool m_bCrouching;
	bool m_bProne;

    static ToolsAVP_Entity_MultiDamageVolume* s_pxThis;
};

#endif //__TOOLSAVP_ENTITY_MULTIDAMAGEVOLUME_H__
