#include "core/Asura.h"

#include "Interface/Asura_Dialog.h"

#include "Sound/ToolsAVP_Mode_Sound.h"

#include "Core/Axon_Sound_Registry.h"

#include "Knowledge/AVP_Knowledge_System.h"

void ToolsAVP_Mode_Sound::BuildSoundTypeList( Asura_StringValuePair_DropDownList_Dialog* pxDialog )
{
	pxDialog->AddItem( "No Type",			AXON_SOUND_TYPE_NO_TYPE );
    pxDialog->AddItem( "Footstep",			AXON_SOUND_TYPE_FOOTSTEP );
    pxDialog->AddItem( "Gunfire",			AXON_SOUND_TYPE_GUNFIRE );
    pxDialog->AddItem( "Ricochet",			AXON_SOUND_TYPE_RICOCHET );
    pxDialog->AddItem( "Explosion", 		AXON_SOUND_TYPE_EXPLOSION );
	pxDialog->AddItem( "Scream", 			AVP_SOUND_TYPE_SCREAM );
	pxDialog->AddItem( "Predator Roar", 	AVP_SOUND_TYPE_PRED_ROAR );
	pxDialog->AddItem( "Alien Roar",		AVP_SOUND_TYPE_ALIEN_ROAR );
	pxDialog->AddItem( "Human Hurt",		AVP_SOUND_TYPE_HUMAN_HURT );
	pxDialog->AddItem( "Jump Landing", 		AVP_SOUND_TYPE_JUMP_LANDING );
	pxDialog->AddItem( "Melee Attack", 		AVP_SOUND_TYPE_MELEE_ATTACK );
	pxDialog->AddItem( "Distraction",		AVP_SOUND_TYPE_DISTRACTION );
	pxDialog->AddItem( "Reload Weapon",		AVP_SOUND_TYPE_RELOAD );
	pxDialog->AddItem( "Mine Trigger",		AVP_SOUND_TYPE_MINE_TRIGGER );
}