//////////////////////////////////////////////////////////////////////////////
//
// Axon_Behaviour_Idle.cpp
//
// Copyright (C) 2009 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

// core
#include "Core/Asura.h"

#ifdef ASURA_USE_NEW_NAV_STUFF

// header
#include "Behaviour/BehaviourTypes/Axon_Behaviour_Idle.h"

// asura
#ifndef ASURA_NO_DEBUG_OUTPUT
#include "Rendering/Asura_Font_System.h"
#endif

// axon
#include "Behaviour/BehaviourTypes/Axon_Behaviour_Types.h"
#include "Core/Axon_Brain.h"

//////////////////////////////////////////////////////////////////////////////
//
// Axon_Behaviour_Idle
//
//////////////////////////////////////////////////////////////////////////////

Axon_Behaviour_Idle::Axon_Behaviour_Idle( Axon_Brain* pxBrain )
: PARENT( AXON_BEHAVIOUR_TYPE_IDLE, pxBrain )
{
}

#ifndef ASURA_NO_DEBUG_OUTPUT
void Axon_Behaviour_Idle::RenderDebugInfo()
{
	PARENT::RenderDebugInfo();

	if ( GetBrain()->DebugTextPosOnScreen() )
	{
		Asura_Font_System::Print( GetBrain()->GetDebugTextPos().x, GetBrain()->GetDebugTextPos().y, 0.5f, 0xffffffff, 
			ASURA_TEXTFORMAT_CENTREJUSTIFIED | ASURA_TEXTFORMAT_FORMATSTRING, "Idle" );
		GetBrain()->IncrementDebugTextPos();
	}
}
#endif
//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif // #ifdef ASURA_USE_NEW_NAV_STUFF
