///////////////////////////////////////////////////////////////////////////////
//
// File   : Tools_Chunk_FSFXOverrides.h
// Author : Andy Southgate
// Date   : 22-Apr-09
//
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////


#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __TOOLS_CHUNK_FSFXOVERRIDES_H__
#define __TOOLS_CHUNK_FSFXOVERRIDES_H__




////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "ChunkSystem/Asura_Chunk_Loaders.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////

class Asura_Chunk_Stream;


////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Class        : Tools_Chunk_FSFXOverrides
// Author       : Andy Southgate
// Date         : 22-Apr-2009
////////////////////////////////////////////////////////////////////////////////

class Tools_Chunk_FSFXOverrides : public Asura_Chunk_Header
{
public:
	// Public functions...
	Tools_Chunk_FSFXOverrides  (void);
	//	~Tools_Chunk_PFXOverrides ();

	bool		Process	(const Asura_Handle iFileHandle) const;

	static void	Create	(Asura_Chunk_Stream& xStream);
	static bool	Save	(const char* szFilename);


protected:
	// Protected variables...

	// Protected functions...


private:
	// Private variables...

	// Private functions...
	Tools_Chunk_FSFXOverrides  (const Tools_Chunk_FSFXOverrides& xOther);

	Tools_Chunk_FSFXOverrides&	operator=	(const Tools_Chunk_FSFXOverrides& xOther);

};   // End of class 'Tools_Chunk_PFXOverrides'.

#endif // !defined(__TOOLS_CHUNK_PFXOVERRIDES_H__)

/// End of file. ///
