//
// Tools_HDR_Overlay.h
//
// Created by Andrew Southgate - 19 Feb 2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __TOOLS_HDR_OVERLAY_H__
#define __TOOLS_HDR_OVERLAY_H__

#ifdef ASURA_USE_HDR

class Asura_Overlay;

class Tools_HDR_Overlay
{
public:

	static void Initialise( void );
	static void Reset( void );
	static void Shutdown( void );

	static void ToggleOverlay( void );
	static bool IsOverlayOpen( void );
private:
	static void CreateOverlay( void );
	static void CloseOverlay( void );

	static Asura_Overlay* s_pxOverlay;
	static Asura_Vector_2 s_xOverlayPosition;

	static bool	s_bShowRedChannel;
	static bool	s_bShowBlueChannel;
	static bool	s_bShowGreenChannel;
	static bool	s_bShowLumChannel;
};

#endif // defined(ASURA_USE_HDR)
#endif // !defined(__TOOLS_HDR_OVERLAY_H__)