//
// Tools_WindowsCursor.h
//
// Created by Richard Rice - 16/06/2008
// 
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLS_WINDOWSCURSOR_H__
#define __TOOLS_WINDOWSCURSOR_H__

enum Tools_WindowsCursorType
{
	TOOLS_CURSOR_DEFAULT,

	TOOLS_CURSOR_ROTATE,
	TOOLS_CURSOR_MOVE,
	TOOLS_CURSOR_MOVELARGE,
	TOOLS_CURSOR_SCALE,
	TOOLS_CURSOR_PAN,
	TOOLS_CURSOR_RESIZE_H,
	TOOLS_CURSOR_RESIZE_V,
	TOOLS_CURSOR_RESIZE_TL_BR,
	TOOLS_CURSOR_RESIZE_TR_BL,

	TOOLS_UVEDITCURSOR_SINGLESELECT,

};

class Tools_WindowsCursor
{
public :
	//Sets the cursor to use , will revert back to the default after one frame
	static void SetCursor(Tools_WindowsCursorType eCursor);
	//Updates the current cursor based on the most recent SetCursor()
	static void Update();
private :
	static Tools_WindowsCursorType s_eCursor;
	static Tools_WindowsCursorType s_ePrevCursor;

};


#endif //__TOOLS_WINDOWSCURSOR_H__