//
// Tools_Bink_Conversion.h
//
// Created by KOR - 06 July 2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __TOOLS_BINK_CONVERSION_H__
#define __TOOLS_BINK_CONVERSION_H__

/******************************************************************************/
/* Types                                                                      */
/******************************************************************************/

// If Tools_ConvertBinkFile returns false, and puFailureCode is not NULL, one of
// these values is written to *puFailureCode

enum
{
	Tools_ConvertBinkFile_Success,
	Tools_ConvertBinkFile_FailedToLoadExe,
	Tools_ConvertBinkFile_FailedToOpenWav,
	//Tools_ConvertBinkFile_FailedToReadWav,
	//Tools_ConvertBinkFile_FailedToCreateBink,
	//Tools_ConvertBinkFile_FailedToWriteBink,
};

/******************************************************************************/
/* Functions                                                                  */
/******************************************************************************/

bool Tools_ConvertBinkFile(const char* const szInputFileName,
						  const char* const szOutputFileName,
						  const struct ToolsSoundConversionData* const pxConvertData,
						  u_int* const puFailureCode = 0 );

#endif//__TOOLS_BINK_CONVERSION_H__