//
// Asura_Attractor_Node_Data.cpp
//
// Created by JGP 10/05/06
//
// Copyright (C) 2006 Rebellion (Derby), All Rights Reserved.
//

#include "Core/Asura.h"

#ifdef ASURA_USE_ATTRACTORS

// This file's header
#include "Asura_Attractor_Node_Data.h"


///////////////////////////////////////////////////////////////////////////////////////
// Construct / Destruct
///////////////////////////////////////////////////////////////////////////////////////


Asura_Attractor_Node_Data::Asura_Attractor_Node_Data()
{
	#ifdef ASURA_TOOLS
	m_pxAttractorData = NULL;
	#endif
	m_xPosition = Asura_Vector_3( 0.0f, 0.0f, 0.0f ); 
}


#ifdef ASURA_TOOLS
Asura_Attractor_Node_Data::Asura_Attractor_Node_Data( Asura_Attractor_Data* const pxAttractorData )
{
	m_pxAttractorData = pxAttractorData;
	m_xPosition = Asura_Vector_3( 0.0f, 0.0f, 0.0f ); 
}
#endif


Asura_Attractor_Node_Data::~Asura_Attractor_Node_Data()
{
}


#endif // ASURA_USE_ATTRACTORS
