/**
*
* \file Asura_Chunk_Carpet_Mesh.h
*
* Created by Dave Reed
*
* Copyright (C) 2005 Rebellion (Derby)
*
**/

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifdef ASURA_USE_CARPET

#ifndef _ASURA_CHUNK_CARPET_MESH_H__
#define _ASURA_CHUNK_CARPET_MESH_H__


#include "Core/Asura_Handle.h"
#include "ChunkSystem/Asura_Chunk_Loaders.h"


class Asura_Chunk_Carpet_Mesh : public Asura_Chunk_Header
{
public:
#ifdef ASURA_TOOLS
	static bool Create(char* szFileName);
	bool Process(Asura_Handle iFileHandle) const;
#endif
};



#endif //_ASURA_CHUNK_CARPET_MESH_H__

#endif // ASURA_USE_CARPET
