//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_Fog.h
//
// Copyright (c) 2004 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_FOG_H___
#define ___ASURA_CHUNK_FOG_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

// Engine independent.
#include "ChunkSystem/Asura_Chunk_Loaders.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_SaveBlock;

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_Fog : public Asura_Chunk_Header
{

    public:

        // C L A S S   M E T H O D S /////////////////////////////////////////

#ifdef ASURA_TOOLS
        static void Create( Asura_SaveBlock* pxSaveBlock );
#endif

        // M E T H O D S /////////////////////////////////////////////////////

        bool Process( Asura_Handle iFileHandle ) const;

};
// End class Asura_Chunk_Fog.

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_FOG_H___
