//
// Asura_Chunk_PSP_Filter.h
//
// Created by Richard Rice - 11/01/2006
// 
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_CHUNK_PSP_FILTER_H__
#define __ASURA_CHUNK_PSP_FILTER_H__

#ifdef ASURA_USE_PSP_FILTER

#include "ChunkSystem/Asura_Chunk_Loaders.h"


class Asura_Chunk_PSP_Filter : public Asura_Chunk_Header
{
public :
	bool Process(class Asura_Chunk_Stream& xStream) const;
	bool Process(Asura_Handle iFileHandle) const;
#ifdef ASURA_TOOLS
	static void Create(class Asura_Chunk_Stream& xStream);
	static void Create(class Asura_SaveBlock* pxSaveBlock);
#endif
};

#endif //ASURA_USE_PSP_FILTER



#endif //__ASURA_CHUNK_PSP_FILTER_H__
