//
// Asura_Chunk_ReverbVolumes.h
//
// Created by Richard Rice - 10/10/2007
// 
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef _ASURA_CHUNK_REVERBVOLUMES_H_
#define _ASURA_CHUNK_REVERBVOLUMES_H_
#ifdef ASURA_USE_REVERBVOLUME_SYSTEM

#include "ChunkSystem/Asura_Chunk_Loaders.h"

class Asura_Chunk_Stream;
class Asura_SaveBlock;

class Asura_Chunk_ReverbVolumes : public Asura_Chunk_Header
{
public :
	bool Process(Asura_Chunk_Stream& xStream) const;
	bool Process(Asura_Handle iFileHandle) const;
#ifdef ASURA_TOOLS
	static void Create(Asura_Chunk_Stream& xStream);
	static void Create(Asura_SaveBlock* pxSaveBlock);
#endif
};



#endif //ASURA_USE_REVERBVOLUME_SYSTEM
#endif //_ASURA_CHUNK_REVERBVOLUMES_H_
