///////////////////////////////////////////////////////////////////////////
//
// Asura_DebugOverlay_Modes.h
//
// Created by JAT - 31 January 2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
// Asura debug overlay mode enums to be used with calls to Asura_DebugOverlay functions
// Projects would define their own enums for project specific debug overlay modes
// Project enums should start at ASURA_DO_START_PROJECT_MODES
// enum SS2_DebugOverlay_Modes
// {
//		SS2_DO_PLAYER = ASURA_DO_START_PROJECT_MODES,
//		SS2_DO_GORE_MANAGER
// };
//
// see Asura_DebugOverlay.h for more details on the Asura_DebugOverlay system
//
///////////////////////////////////////////////////////////////////////////

#if defined( ASURA_USE_DEBUGOVERLAY )

#ifndef ASURA_DEBUGOVERLAY_MODES_HH
#define ASURA_DEBUGOVERLAY_MODES_HH

enum Asura_DebugOverlay_Modes
{
	ASURA_DO_RESERVED = -1,
	ASURA_DO_NONE = 0,
	ASURA_DO_GLOBAL,
	ASURA_DO_SOUND,
	ASURA_DO_SOUND_LIST,
	ASURA_DO_SOUND_DRAW,
	ASURA_DO_ACTIVE_SOUNDS_OCCLUSION,
	ASURA_DO_BOTANICALS,
	ASURA_DO_DIALOGUE,
	ASURA_DO_FSFX_LIST,
	ASURA_DO_STATIC_IRRADIANCE,
	ASURA_DO_METAMUSIC,
	ASURA_DO_DYNAMICMUSIC,
	ASURA_DO_STREAMING_SOUND,

	ASURA_DO_MAX_ASURA_MODES,
	ASURA_DO_START_PROJECT_MODES = ASURA_DO_MAX_ASURA_MODES
};
#endif // #ifndef ASURA_DEBUGOVERLAY_MODES_HH

#endif // #if defined( ASURA_USE_DEBUGOVERLAY )
