
////////////////////////////////////////////////////////////////////////////////
//
// Asura_FMVController_Messages.cpp
// Author    : Jason Turner
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

#ifdef ASURA_USE_VIDEO_TO_TEXTURE_SYSTEM

// This file's header.
#include "Entity/FMVController/Asura_FMVController_Messages.h"

// Project
#include "Entity/FMVController/Asura_ServerEntity_FMVController.h"

// Class definition
void Asura_Message_FMVController_ClientCreate::FillFMVController(Asura_ServerEntity_FMVController* pxServer)
{
#ifdef ASURA_ASSERT
	u_int uStrLen = pxServer->m_xFMVName.GetLength();
	Asura_Assertf (uStrLen < s_FMVNameLength, ("Asura_Message_FMVController_ClientCreate FMVName too long [%d chars]", uStrLen));
#endif

	strncpy(m_szFMVName, pxServer->m_xFMVName.GetString(), s_FMVNameLength);
	m_uFlags = pxServer->m_uFlags;
}

#endif // ASURA_USE_VIDEO_TO_TEXTURE_SYSTEM
