//
// Asura_Module_Defines.h
//
// Created by Andrew Weinkove - 17/08/2005
//
// Split a couple of important consts out of Asura_Module.h to reduce massive dependencies.
// 
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_MODULE_DEFINES_H__
#define __ASURA_MODULE_DEFINES_H__

#define MAX_CONTAINING_MODULES_FOR_LOS 16
#define NUM_MODULES_TO_STORE_FOR_CLIPPING 4
#define MAX_VARIABLE_LENGTH_CLIPPING_COUNT 16
#define ASURA_MODULE_LINKEDINFORPLAYER_BITFLAG 0x80

#endif//__ASURA_MODULE_DEFINES_H__
