//
// Asura_MetaMusic_ZoneController.h
//
// Created by Richard Rice - 11/01/05
// 
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_METAMUSIC_ZONECONTROLLER_H__
#define __ASURA_METAMUSIC_ZONECONTROLLER_H__

#ifndef ASURA_SUPPORT_DYNAMIC_MUSIC_SYSTEM

#include "Zone/Asura_Zone_Controller.h"

class Asura_MetaMusic_ZoneController : public Asura_Zone_Controller
{
public :
	//loading/saving
	virtual void ReadFromChunkStream(class Asura_Chunk_Stream& xStream);
#ifdef ASURA_TOOLS
	virtual void WriteToChunkStream(class Asura_Chunk_Stream& xStream);
#endif

protected :
	virtual Asura_Zone* AllocateZone( const bool bFromChunkBuffer = false );
};

#endif // #ifndef ASURA_SUPPORT_DYNAMIC_MUSIC_SYSTEM

#endif //__ASURA_METAMUSIC_ZONECONTROLLER_H__
