// Asura_XAPO_DSP_SimpleFilter.h
// Thomas Young - 31.03.09
// Copyright (C) 2009 Rebellion, All Rights Reserved.

// F I L E   W R A P P E R ///////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#if !defined __ASURA_XAPO_DSP_SIMPLEFILTER_H__
#define __ASURA_XAPO_DSP_SIMPLEFILTER_H__

#if defined ASURA_USE_AUDIO_SYSTEM

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Sound/XAPO_DSP/Asura_XAPO_DSP.h"
#include "Sound/Asura_Audio_DSP.h"

// C L A S S   D E C L A R A T I O N S ///////////////////////////////////////

class __declspec( uuid( "{2FEFA7F6-FC13-4bd3-930B-7BD6B08EF383}" ) ) Asura_XAPO_DSP_SimpleFilter : public Asura_XAPOBase< Asura_XAPO_DSP_SimpleFilter, Asura_DSP_Params_SimpleFilter::Params >
{
	public:

		Asura_XAPO_DSP_SimpleFilter		( );
		~Asura_XAPO_DSP_SimpleFilter	( );

	private:

		void DoProcess ( float* pfInputBuffer, u_int uFrames, u_int uChannels, const Asura_DSP_Params_SimpleFilter::Params& xParams );

		float* m_pfTempBuffer;
		u_int m_uExpectedChans;
		u_int m_uExpectedFrames;
};

#endif // ASURA_USE_AUDIO_SYSTEM

#endif // __ASURA_XAPO_DSP_ADDNOISE_H__

//eof
