//
// Asura_Platform_FSFX.cpp (PC)
//
// Created by JGP 07/02/06
// 
// Copyright (C) 2006 Rebellion (Derby), All Rights Reserved.
//

#include "Core/Asura.h"

#ifdef ASURA_USE_FSFX

#include "Camera/Asura_Camera.h"
#include "FSFX/Asura_FSFX_Component.h"
#include "FSFX/Asura_FSFX_System.h"
#include "FSFX/Asura_FSFX_Template.h"
#include "Rendering/Asura_Render.h"
#include "Rendering/Asura_ViewPort.h"

///////////////////////////////////////////////////////////////////////////////////////
// Asura_FSFX_System platform specific
///////////////////////////////////////////////////////////////////////////////////////

void Asura_FSFX_System::Platform_Initialise( void ) {}
void Asura_FSFX_System::Platform_Reset( void ) {}
void Asura_FSFX_System::Platform_Shutdown( void ) {}
void Asura_FSFX_System::Platform_BeginRender( void ) {}
void Asura_FSFX_System::Platform_EndRender( void ) {}

///////////////////////////////////////////////////////////////////////////////////////
// Asura_FSFX_Template platform specific
///////////////////////////////////////////////////////////////////////////////////////

int Asura_FSFX_Template::Platform_GetPlatformFlag() 
{
	return Asura_FSFX_Component::FSFX_PLATFORM_PC;
}

/*
	As it happens this particular
	render function is going to be the same between
	platforms...
*/
void Asura_FSFX_Component_Test::Platform_Render( const float fIntensity ) {}

void Asura_FSFX_Component_BrightnessAndContrast::Platform_Render(float) {}
void Asura_FSFX_Component_DesaturateAndTint::Platform_Render(float) {}
void Asura_FSFX_Component_GaussianBlur::Platform_Render(float) {}
void Asura_FSFX_Component_RadialBlur::Platform_Render(float) {}
void Asura_FSFX_Component_DepthOfField::Platform_Render(float) {}
void Asura_FSFX_Component_Bloom::Platform_Render(float) {}
void Asura_FSFX_Component_Gamma::Platform_Render(float) {}
void Asura_FSFX_Component_RGBGamma::Platform_Render(float) {}
#ifdef ASURA_TARGET_SM3
void Asura_FSFX_Component_SM30_Bloom::Platform_Render(float) {}
void Asura_FSFX_Component_SM30_DepthOfField::Platform_Render(float) {}
void Asura_FSFX_Component_SM30_DoubleVision::Platform_Render(float) {}
void Asura_FSFX_Component_SM30_FishEye::Platform_Render(float) {}
void Asura_FSFX_Component_ColourMap::Platform_Render(float) {}
#endif //def ASURA_TARGET_SM3
void Asura_FSFX_Component_Noise::Platform_Render(float) {}

#endif // ASURA_USE_FSFX
