//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PC.h
//
// By: Morgan Parry.
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_RESOURCEFILE_PC_H___
#define ___ASURA_CHUNK_RESOURCEFILE_PC_H___ 1

// T Y P E S /////////////////////////////////////////////////////////////////

// Don't change the ordering here, as these are saved out

enum ASURA_RESOURCEFILE_TYPE_ID_PC
{
	ASURA_RESOURCEFILE_TYPE_PC_ENVIRONMENT           =  0,
	ASURA_RESOURCEFILE_TYPE_PC_CHARACTER             =  1,
	ASURA_RESOURCEFILE_TYPE_PC_OBJECT                =  2,
    ASURA_RESOURCEFILE_TYPE_PC_REPLACEABLESOUNDSINFO =  3,
    ASURA_RESOURCEFILE_TYPE_PC_REPLACEABLESOUNDDATA  =  4,
	ASURA_RESOURCEFILE_TYPE_PC_OBJECTHIERARCHY       =  5,
	ASURA_RESOURCEFILE_TYPE_PC_D3DEFFECT_DEPRECATED  =  6,
	ASURA_RESOURCEFILE_TYPE_PC_CARPET                =  7,
	ASURA_RESOURCEFILE_TYPE_PC_BOTANICAL             =  8,
	ASURA_RESOURCEFILE_TYPE_PC_ENVIRONMENT_HIGH_END_DEPRECATED =  9,
	ASURA_RESOURCEFILE_TYPE_PC_SMOOTHSKIN            = 10,
	ASURA_RESOURCEFILE_TYPE_PC_ENVIRONMENT_SM3       = 11,
	ASURA_RESOURCEFILE_TYPE_PC_MATERIALRESPONSE      = 12,
	ASURA_RESOURCEFILE_TYPE_PC_STATICDECALS_SM3      = 13,
	ASURA_RESOURCEFILE_TYPE_PC_MRPSHADERS            = 14,
	ASURA_RESOURCEFILE_TYPE_PC_SKIN                  = 15
};

#define ASURA_PC_STATICDECALS_CHUNK_VERSION 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_RESOURCEFILE_PC_H___
