//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PC_ReplaceableSounds.h
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_RESOURCEFILE_PC_REPLACEABLESOUNDS_H___
#define ___ASURA_CHUNK_RESOURCEFILE_PC_REPLACEABLESOUNDS_H___ 1

#if !defined(ASURA_USE_AUDIO_SYSTEM)

// I N C L U D E S ///////////////////////////////////////////////////////////
#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

// D E F I N E S /////////////////////////////////////////////////////////////
#define ASURA_RESOURCEFILE_PC_REPLACEABLESOUNDSINFO_VERSION (0)

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_PC_ReplaceableSoundsInfo : public Asura_Chunk_ResourceFile
{

    public:

        // T Y P E S /////////////////////////////////////////////////////////

        struct Entry
        {
            int   iSoundID;
            u_int uByteOffset; // From the start of the archive that contains this chunk.
			u_int uSize;		// in bytes.
        };

        // M E T H O D S /////////////////////////////////////////////////////

        bool Process( Asura_Handle iFileHandle );

};

class Asura_Chunk_ResourceFile_PC_ReplaceableSoundData : public Asura_Chunk_ResourceFile
{

    public:

        // M E T H O D S /////////////////////////////////////////////////////

        bool Process( Asura_Handle iFileHandle );

};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif	//!defined(ASURA_USE_AUDIO_SYSTEM)

#endif // #ifndef ___ASURA_CHUNK_RESOURCEFILE_PC_REPLACEABLESOUNDS_H___
