//
// Asura_PlatformRender_MultiElementSkin_Internal.h
//
// Created by KJL - 06/11/2003 11:23:27
//
// Copyright (C) 2003 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __ASURA_PLATFORMRENDER_MULTIELEMENTSKIN_INTERNAL_H__
#define __ASURA_PLATFORMRENDER_MULTIELEMENTSKIN_INTERNAL_H__

#include "Rendering/Asura_Direct3D.h"

class Asura_Direct3D_MultiElementSkin_Element
{
	public:
		int		m_iMaterialID;
		
		u_int	m_uFirstIndexInStrip;
		u_int	m_uFirstVertexInStrip;
		
		u_int	m_uNumberOfIndicesInStrip;
		u_int	m_uNumberOfVerticesInStrip;
};

class Asura_Direct3D_MultiElementSkin
{
	public:

		friend class Asura_Direct3D_MultiElementSkin_Renderer;

		Asura_Direct3D_MultiElementSkin(const u_int uNumberOfVertices, const u_int uNumberOfIndices, const u_int uNumberOfElements);
		~Asura_Direct3D_MultiElementSkin();

	
		Direct3D_VertexBuffer*						m_pxVertexBuffer;
		Direct3D_IndexBuffer*						m_pxIndexBuffer;
	
		u_int										m_uTotalNumberOfVertices;
		u_int										m_uTotalNumberOfIndices;

		u_int										m_uNumberOfElements;
		Asura_Direct3D_MultiElementSkin_Element*	m_pxElements;


};

class Asura_Direct3D_MultiElementSkin_Vertex
{
	// KJL - 06/11/2003 11:24:56 - uncompressed 64 byte version
	public:
		float X,Y,Z;
		float NX,NY,NZ;
		float U,V;
		float Index[4];
		float Weight[4];
};

#endif//__ASURA_PLATFORMRENDER_MULTIELEMENTSKIN_INTERNAL_H__
