/**
*
* \file Asura_Platform_MovieToTextureStream.h
*
* Created by Kevin Lea - 19/08/2002 17:18:56
*
* Copyright (C) 2002 Rebellion, All Rights Reserved.
*
* \brief
*
**/
#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __ASURA_PLATFORM_MOVIETOTEXTURESTREAM_H__
#define __ASURA_PLATFORM_MOVIETOTEXTURESTREAM_H__

#include "BinkPC/bink.h"

class Asura_Platform_MovieToTextureStream
{
	friend class Asura_MovieToTexture_System;
	private:
	
		Asura_Platform_MovieToTextureStream(const int iTextureIndex, const char* pxMovieName, bool* pbOK, bool bLooping = true, bool bHoldAtEnd = false);
		~Asura_Platform_MovieToTextureStream();

		void Update(void);
        int GetTextureIndex( void ) { return m_iTextureIndex; }
		bool IsReadyToBeDestroyed() const { return m_bReadyToBeDestroyed; }

		HBINK	m_pxBinkHandle;
		int		m_iTextureIndex;
		bool	m_bLooping;
		bool	m_bHoldAtEnd;
		bool	m_bReadyToBeDestroyed;
};

#endif//__ASURA_PLATFORM_MOVIETOTEXTURESTREAM_H__
