//
// Asura_D3D_PS_SunGlare.cpp
//
// Created by RJF - 22 July 2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "Rendering/Asura_Direct3D_Shaders.h"

static const char* const g_szPS_SUN_GLARE_CODE =

"ps.1.1 \n"

// Expected constants:
// none

"mul r0, c0, v0.a \n";

// Register the shader with Asura

const Asura_Direct3D_PixelShader g_xPS_SUN_GLARE_SHADER(ASURA_D3D_PS_SUNGLARE, g_szPS_SUN_GLARE_CODE);

static const char* const g_szPS_SUN_GLARE_3X_CODE =

"ps.1.1 \n"

// Expected constants:
// none

"add r0, v0, v0 \n"
"add r0, r0, v0 \n";

// Register the shader with Asura

const Asura_Direct3D_PixelShader g_xPS_SUN_GLARE_3X_SHADER(ASURA_D3D_PS_SUNGLARE_3X, g_szPS_SUN_GLARE_3X_CODE);
