//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_PS2.h
//
// By: Morgan Parry.
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_RESOURCEFILE_PS2_H___
#define ___ASURA_CHUNK_RESOURCEFILE_PS2_H___ 1

// T Y P E S /////////////////////////////////////////////////////////////////

// (MP - 29.05.2002) Only ever add entries to the end of this enum. Adding
// entries elsewhere or removing them will require *all* files containing
// PS2-specific resource file chunks to be re-exported.
enum ASURA_RESOURCEFILE_TYPE_ID_PS2
{
    ASURA_RESOURCEFILE_TYPE_PS2_STRIPPEDENV,
    ASURA_RESOURCEFILE_TYPE_PS2_STRIPPEDSKYSPHERE,
    ASURA_RESOURCEFILE_TYPE_PS2_IRX,
    ASURA_RESOURCEFILE_TYPE_PS2_STRIPPEDHIERSKIN,
    ASURA_RESOURCEFILE_TYPE_PS2_STRIPPEDSMOOTHSKIN,
    ASURA_RESOURCEFILE_TYPE_PS2_STRIPPEDSKYBOX,
    ASURA_RESOURCEFILE_TYPE_PS2_STRIPPEDOBJECT,
    ASURA_RESOURCEFILE_TYPE_PS2_SKINLODTHRESHOLDS,
    ASURA_RESOURCEFILE_TYPE_PS2_NOT_USED_0_,
    ASURA_RESOURCEFILE_TYPE_PS2_PARTIALLYSTREAMEDSOUNDS,
	ASURA_RESOURCEFILE_TYPE_PS2_DLL,
	ASURA_RESOURCEFILE_TYPE_PS2_DNASAUTHDATA,
	ASURA_RESOURCEFILE_TYPE_PS2_CARPET,
	ASURA_RESOURCEFILE_TYPE_PS2_BOTANICALS,
};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_RESOURCEFILE_PS2_H___
