#include "machine/regdef.h"

#define at  $1

// callee saves f20-f31, args f12-f19, return f0-f1, temp f2-f11
#define f0	$f0
#define f1	$f1
#define f2	$f2
#define f3	$f3
#define f4	$f4
#define f5	$f5
#define f6	$f6
#define f7	$f7
#define f8	$f8
#define f9	$f9
#define f10	$f10
#define f11	$f11
#define f12	$f12
#define f13	$f13
#define f14	$f14
#define f15	$f15
#define f16	$f16
#define f17	$f17
#define f18	$f18
#define f19	$f19
#define f20	$f20
#define f21	$f21
#define f22	$f22
#define f23	$f23
#define f24	$f24
#define f25	$f25
#define f26	$f26
#define f27	$f27
#define f28	$f28
#define f29	$f29
#define f30	$f30
#define f31	$f31

.set noat
.set noreorder

.global Platform_TestNode__C15Asura_AABB_TreeiRC18Asura_Bounding_Box
.section ".text.testnode"

# f25 = xBB.MaxZ
# f21 = xBB.MinX
# f20 = xBB.MaxX
# f23 = xBB.MinY
# f22 = xBB.MaxY
# f24 = xBB.MinZ


Platform_TestNode__C15Asura_AABB_TreeiRC18Asura_Bounding_Box:
   addiu       sp,sp,-0x60
   li          v0,0xC
   sd          s0,0x0040(sp)
   mult        a1,a1,v0
   sd          s1,0x0048(sp)
   sd          ra,0x0050(sp)
   daddu       s1,a0,zero
   lui         at,0x3C00
   mtc1        at,f4
   daddu       a0,sp,zero
   lwc1        f6,0x0000(a2)
   lw          v0,0x0000(s1)
   lwc1        f0,0x0004(a2)
   addu        s0,v0,a1
   lwc1        f2,0x000C(a2)
   sub.s       f0,f0,f6
   lbu         v0,0x0000(s0)
   lwc1        f5,0x0008(a2)
   mtc1        v0,f3
   lwc1        f1,0x0014(a2)
   cvt.s.w     f3,f3
   mul.s       f7,f0,f4
   lhu         v0,0x000A(s0)
   lwc1        f0,0x0010(a2)
   sub.s       f2,f2,f5
   andi        v0,v0,0x1
   sub.s       f1,f1,f0
   mul.s       f3,f3,f7
   mul.s       f2,f2,f4
   mul.s       f1,f1,f4
   beq         v0,zero,x002F6630
   add.s       f0,f6,f3
   swc1        f0,0x0000(sp)
   b           x002F6638
   swc1        f6,0x0020(sp)
x002F6630:
   swc1        f6,0x0000(sp)
   swc1        f0,0x0020(sp)
x002F6638:
   lbu         v0,0x0003(s0)
   lwc1        f3,0x0004(a2)
   mtc1        v0,f0
   lhu         v1,0x000A(s0)
   cvt.s.w     f0,f0
   andi        v1,v1,0x8
   mul.s       f0,f0,f7
   beq         v1,zero,x002F666C
   sub.s       f0,f3,f0
   swc1        f0,0x0004(a0)
   b           x002F6674
   swc1        f3,0x0024(sp)
x002F666C:
   swc1        f3,0x0004(a0)
   swc1        f0,0x0024(sp)
x002F6674:
   lbu         v0,0x0001(s0)
   lwc1        f3,0x0008(a2)
   mtc1        v0,f0
   lhu         v1,0x000A(s0)
   cvt.s.w     f0,f0
   andi        v1,v1,0x2
   mul.s       f0,f0,f2
   beq         v1,zero,x002F66A8
   add.s       f0,f3,f0
   swc1        f0,0x0008(a0)
   b           x002F66B0
   swc1        f3,0x0028(sp)
x002F66A8:
   swc1        f3,0x0008(a0)
   swc1        f0,0x0028(sp)
x002F66B0:
   lbu         v0,0x0004(s0)
   lwc1        f3,0x000C(a2)
   mtc1        v0,f0
   lhu         v1,0x000A(s0)
   cvt.s.w     f0,f0
   andi        v1,v1,0x10
   mul.s       f0,f0,f2
   beq         v1,zero,x002F66E4
   sub.s       f2,f3,f0
   swc1        f2,0x000C(a0)
   b           x002F66EC
   swc1        f3,0x002C(sp)
x002F66E4:
   swc1        f3,0x000C(a0)
   swc1        f2,0x002C(sp)
x002F66EC:
   lbu         v0,0x0002(s0)
   lwc1        f2,0x0010(a2)
   mtc1        v0,f0
   lhu         v1,0x000A(s0)
   cvt.s.w     f0,f0
   andi        v1,v1,0x4
   mul.s       f0,f0,f1
   beq         v1,zero,x002F6720
   add.s       f0,f2,f0
   swc1        f0,0x0010(a0)
   b           x002F6728
   swc1        f2,0x0030(sp)
x002F6720:
   swc1        f2,0x0010(a0)
   swc1        f0,0x0030(sp)
x002F6728:
   lbu         v0,0x0005(s0)
   lwc1        f2,0x0014(a2)
   mtc1        v0,f0
   lhu         v1,0x000A(s0)
   cvt.s.w     f0,f0
   andi        v1,v1,0x20
   mul.s       f0,f0,f1
   beq         v1,zero,x002F675C
   sub.s       f1,f2,f0
   swc1        f1,0x0014(a0)
   b           x002F6764
   swc1        f2,0x0034(sp)
x002F675C:
   swc1        f2,0x0014(a0)
   swc1        f1,0x0034(sp)
x002F6764:
   lwc1        f0,0x0000(sp)
   mov.s       f2,f0
   c.ole.s     f0,f20			# compare TestBB.MaxX
   daddu       v0,zero,zero
   bc1f        x002F67F0
   lwc1        f0,0x0004(sp)
   c.ole.s     f21,f0			# compare TestBB.MinX
   lwc1        f0,0x0008(sp)
   bc1f        x002F67F0
   c.ole.s     f0,f22			# compare TestBB.MaxY
   lwc1        f0,0x000C(sp)
   bc1f        x002F67F0
   c.ole.s     f23,f0			# compare TestBB.MinY
   lwc1        f0,0x0010(sp)
   bc1f        x002F67F0
   c.ole.s     f0,f25			# compare TestBB.MaxZ
   lwc1        f0,0x0014(sp)
   bc1f        x002F67F0
   c.ole.s     f24,f0			# compare TestBB.MinZ
   nop
   bc1tl       x002F67F0
   li          v0,0x1
x002F67F0:
   andi        v0,v0,0xFF
   beql        v0,zero,x002F68CC
   nop							# replacement for branch delay slot, prob not needed
   lhu         v0,0x000A(s0)
   andi        v0,v0,0x40
   beql        v0,zero,x002F6820
   nop							# replacement for branch delay slot, prob not needed
   lw          v0,0x001C(s1)
   jalr        ra,v0
   lhu         a0,0x0006(s0)
   b           x002F68C0
   nop
x002F6820:
   c.ole.s     f21,f2			# compare TestBB.MinX
   nop
   bc1f        x002F6898
   daddu       v0,zero,zero
   lwc1        f1,0x0004(sp)
   c.ole.s     f1,f20			# compare TestBB.MaxX
   lwc1        f1,0x0008(sp)
   bc1f        x002F6898
   c.ole.s     f23,f1			# compare TestBB.MinY
   lwc1        f1,0x000C(sp)
   bc1f        x002F6898
   c.ole.s     f1,f22			# compare TestBB.MaxY
   lwc1        f1,0x0010(sp)
   bc1f        x002F6898
   c.ole.s     f24,f1			# compare TestBB.MinZ
   lwc1        f0,0x0014(sp)
   bc1f        x002F6898
   c.ole.s     f0,f25			# compare TestBB.MaxZ
   nop
   bc1tl       x002F6898
   li          v0,0x1
x002F6898:
   andi        v0,v0,0xFF
   beq         v0,zero,x002F68B4
   lhu         a1,0x0006(s0)
   jal         OutputAll__C15Asura_AABB_Treei
   daddu       a0,s1,zero
   b           x002F68C0
   nop
x002F68B4:
   daddu       a0,s1,zero
   jal         Platform_TestNode__C15Asura_AABB_TreeiRC18Asura_Bounding_Box
   daddu       a2,sp,zero
x002F68C0:
   beql        v0,zero,x002F6A3C
   daddu       v0,zero,zero
x002F68CC:
   lwc1        f0,0x0020(sp)
   mov.s       f2,f0
   c.ole.s     f0,f20			# compare TestBB.MaxX
   daddu       v0,zero,zero
   bc1f        x002F6954
   lwc1        f0,0x0024(sp)
   c.ole.s     f21,f0			# compare TestBB.MinX
   lwc1        f0,0x0028(sp)
   bc1f        x002F6954
   c.ole.s     f0,f22			# compare TestBB.MaxY
   lwc1        f0,0x002C(sp)
   bc1f        x002F6954
   c.ole.s     f23,f0			# compare TestBB.MinY
   lwc1        f0,0x0030(sp)
   bc1f        x002F6954
   c.ole.s     f0,f25			# compare TestBB.MaxZ
   lwc1        f0,0x0034(sp)
   bc1f        x002F6954
   c.ole.s     f24,f0			# compare TestBB.MinZ
   nop
   bc1tl       x002F6954
   li          v0,0x1
x002F6954:
   andi        v0,v0,0xFF
   beq         v0,zero,x002F6A3C
   li          v0,0x1
   lhu         v0,0x000A(s0)
   andi        v0,v0,0x80
   beql        v0,zero,x002F6984
   nop							# branch delay slot replacement
   lw          v0,0x001C(s1)
   jalr        ra,v0
   lhu         a0,0x0008(s0)
   b           x002F6A10
   nop
x002F6984:
   c.ole.s     f21,f2			# compare TestBB.MinX
   daddu       v0,zero,zero
   bc1f        x002F69FC
   lwc1        f1,0x0024(sp)
   c.ole.s     f1,f20			# compare TestBB.MaxX
   lwc1        f1,0x0028(sp)
   bc1f        x002F69FC
   c.ole.s     f23,f1			# compare TestBB.MinY
   lwc1        f1,0x002C(sp)
   bc1f        x002F69FC
   c.ole.s     f1,f22			# compare TestBB.MaxY
   lwc1        f1,0x0030(sp)
   bc1f        x002F69FC
   c.ole.s     f24,f1			# compare TestBB.MinZ
   lwc1        f0,0x0034(sp)
   bc1f        x002F69FC
   c.ole.s     f0,f25			# compare TestBB.MaxZ
   nop
   bc1tl       x002F69FC
   li          v0,0x1
x002F69FC:
   andi        v0,v0,0xFF
   beq         v0,zero,x002F6A20
   lhu         a1,0x0008(s0)
   jal         OutputAll__C15Asura_AABB_Treei
   daddu       a0,s1,zero
x002F6A10:
   bne         v0,zero,x002F6A3C
   li          v0,0x1
   b           x002F6A3C
   daddu       v0,zero,zero
x002F6A20:
   daddu       a0,s1,zero
   jal         Platform_TestNode__C15Asura_AABB_TreeiRC18Asura_Bounding_Box
   addiu       a2,sp,0x20
   daddu       v1,v0,zero
   beq         v1,zero,x002F6A3C
   daddu       v0,zero,zero
   li          v0,0x1
x002F6A3C:
   ld          s0,0x0040(sp)
   ld          s1,0x0048(sp)
   ld          ra,0x0050(sp)
   jr          ra
   addiu       sp,sp,0x60


.global Platform_TestTree__15Asura_AABB_TreeRC18Asura_Bounding_BoxPFUs_b
.section ".text"

Platform_TestTree__15Asura_AABB_TreeRC18Asura_Bounding_BoxPFUs_b:
   addiu       sp,sp,-0x40
   sd          s0,0x0000(sp)
   sd          ra,0x0008(sp)
   daddu       s0,a0,zero
   swc1        f25,0x0038(sp)
   swc1        f24,0x0030(sp)
   swc1        f23,0x0028(sp)
   swc1        f22,0x0020(sp)
   swc1        f21,0x0018(sp)
   swc1        f20,0x0010(sp)
   sw          a2,0x001C(s0)
   lwc1        f25,0x0014(a1)	# f25 = xBB.MaxZ
   lwc1        f21,0x0000(a1)	# f21 = xBB.MinX
   lwc1        f20,0x0004(a1)	# f20 = xBB.MaxX
   lwc1        f23,0x0008(a1)	# f23 = xBB.MinY
   lwc1        f22,0x000C(a1)	# f22 = xBB.MaxY
   lwc1        f24,0x0010(a1)	# f24 = xBB.MinZ
   lw          v0,0x0000(s0)
   bne         v0,zero,x00119498
   daddu       a0,s0,zero
   lwc1        f0,0x0004(s0)
   c.ole.s     f0,f20
   nop
   bc1f        x00119474
   addiu       v0,s0,0x4
   lwc1        f0,0x0004(v0)
   c.ole.s     f21,f0
   nop
   bc1fl       x00119478
   daddu       v0,zero,zero
   lwc1        f0,0x0008(v0)
   c.ole.s     f0,f22
   nop
   bc1fl       x00119478
   daddu       v0,zero,zero
   lwc1        f0,0x000C(v0)
   c.ole.s     f23,f0
   nop
   bc1fl       x00119478
   daddu       v0,zero,zero
   lwc1        f0,0x0010(v0)
   c.ole.s     f0,f25
   nop
   bc1fl       x00119478
   daddu       v0,zero,zero
   lwc1        f0,0x0014(v0)
   c.ole.s     f24,f0
   nop
   bc1t        x00119478
   li          v0,0x1
x00119474:
   daddu       v0,zero,zero
x00119478:
   andi        v0,v0,0xFF
   beql        v0,zero,x001194A8
   ld          s0,0x0000(sp)
   lw          v0,0x001C(s0)
   jalr        ra,v0
   daddu       a0,zero,zero
   b           x001194A8
   ld          s0,0x0000(sp)
x00119498:
   daddu       a1,zero,zero
   jal         Platform_TestNode__C15Asura_AABB_TreeiRC18Asura_Bounding_Box
   addiu       a2,a0,0x4
   ld          s0,0x0000(sp)
x001194A8:
   ld          ra,0x0008(sp)
   lwc1        f25,0x0038(sp)
   lwc1        f24,0x0030(sp)
   lwc1        f23,0x0028(sp)
   lwc1        f22,0x0020(sp)
   lwc1        f21,0x0018(sp)
   lwc1        f20,0x0010(sp)
   jr          ra
   addiu       sp,sp,0x40
