//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Env_System.cpp
//
// Copyright (c) 2002 Rebellion. All rights reserved.
//
// Description:
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// Engine independent.
#include "Mesh/Asura_Env_System.h"

// Engine platform-specific.
#include "Mesh/Asura_PS2_Env_Store.h"

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

void Asura_Environment_System::Platform_Initialise( void )
{
    Asura_PS2_Env_Store::Initialise();
}

void Asura_Environment_System::Platform_Reset( void )
{
    Asura_PS2_Env_Store::Reset();
}

void Asura_Environment_System::Platform_Shutdown( void )
{
    Asura_PS2_Env_Store::Shutdown();
}

void Asura_Environment_System::Platform_Update( void )
{
    Asura_PS2_Env_Store::Update();
}

