//////////////////////////////////////////////////////////////////////////////
//
// Asura_PlatformRenderCharacter.h
//
// Copyright (c) 2004 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PLATFORMRENDERCHARACTER_H___
#define ___ASURA_PLATFORMRENDERCHARACTER_H___ 1

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class  Asura_Animation;
struct Asura_PS2_SmoothSkin_SkinHdr;
class  Asura_Vector_3;

// P R O T O T Y P E S   A N D   I N L I N E   F U N C T I O N S /////////////

void Asura_PS2_RenderSmoothSkin( const Asura_Animation* pxAnim, const Asura_PS2_SmoothSkin_SkinHdr* pxSkinHdr,
                                 u_int uBoneQty,
                                 float fAlpha, int iMaterialID,
                                 u_int uCamVisFlags, u_int uRenderFlags,
                                 const Asura_Vector_3& xBSCentre, float fBSRadius );

void Asura_PS2_ProjectSpecific_SetupSmoothSkinLighting( const Asura_Animation* pxAnim, const Asura_Vector_3& xBBCentre, float* pfLightLevel = NULL );

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PLATFORMRENDERCHARACTER_H___
