//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_BotanicalsLOD.cpp
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "Core/Asura.h"

#include "Botanicals/Asura_PS3_Botanicals.h"

// Asura independent headers
#include "Camera/Asura_Camera.h"
#include "Rendering/Asura_Render.h"
#include "Core/Asura_TextureManagement.h"
#include "Core/Asura_Material_System.h"

////////////////////////////////////////////////////////////////////////////////
// Function     : Asura_PS3_Botanicals_Element::Asura_PS3_Botanicals_Element
// Author       : Catalin Arsenescu
// Date         : 02-August-2007
////////////////////////////////////////////////////////////////////////////////
Asura_PS3_Botanicals_Element::Asura_PS3_Botanicals_Element()
: m_fBSCentreHeight( 0.0f )
, m_fBSRadius( 0.0f )
, m_iNumLODs( 0 )
, m_pxLODData( NULL )
#if defined( ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS) && 1 == ASURA_BOTANICAL_SUPPORT_SECTION_VERSIONS
, m_xSectionID( 0 )
, m_xVersionID( 0 )
#endif
{
}
/// End of function 'Asura_PS3_Botanicals_Element::Asura_PS3_Botanicals_Element'. ///

////////////////////////////////////////////////////////////////////////////////
// Function     : Asura_PS3_Botanicals_Element::~Asura_PS3_Botanicals_Element
// Author       : Catalin Arsenescu
// Date         : 02-August-2007
////////////////////////////////////////////////////////////////////////////////
Asura_PS3_Botanicals_Element::~Asura_PS3_Botanicals_Element()
{
	delete[] m_pxLODData;
	m_pxLODData	= NULL;
	m_iNumLODs	= 0;
}
/// End of function 'Asura_PS3_Botanicals_LODData::~Asura_PS3_Botanicals_LODData'. ///
