//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_BotanicalsLODImposter.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_PS3_BOTANICALS_LOD_IMPOSTER_H__
#define __ASURA_PS3_BOTANICALS_LOD_IMPOSTER_H__

/******************************************************************************/
/* Classes                                                                    */
/******************************************************************************/

class Asura_PS3_Botanicals_LOD_Imposter
{
public:
	Asura_PS3_Botanicals_LOD_Imposter();
	virtual ~Asura_PS3_Botanicals_LOD_Imposter();

	void Render( u_int uRenderStartInstance, u_int uNumVisibleInstances );

	uint32								m_uMaterialResponseHashID;	// Texture ID - for all billboards
	int									m_iNumImposterAngles;		// Number of billboard for different orientations
	u_int								m_uFPHashID;

	Asura_PS3_GCM_VertexBuffer			m_xVertexBuffer;
};

#endif // !defined __ASURA_PS3_BOTANICALS_LOD_IMPOSTER_H__
