//////////////////////////////////////////////////////////////////////////////
//
// Asura_PS3_BotanicalsTemplate.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __ASURA_PS3_BOTANICALS_TEMPLATE_H__
#define __ASURA_PS3_BOTANICALS_TEMPLATE_H__

class Asura_PS3_Botanicals_Instance;

class Asura_Static_Visibility_Query;
class Asura_PS3_Botanicals_Template : public Asura_BGR_Instances_Header
{
public:
	// BGR Header functions
	virtual u_int						GetInstanceCount() const;
	virtual const Asura_BGR_Instance*	GetInstance( const u_int uInstanceIndex) const;

	// Own functions
	Asura_PS3_Botanicals_Template();
	virtual ~Asura_PS3_Botanicals_Template();

	Asura_PS3_Botanicals_Shape*		m_pxShape;
	Asura_PS3_Botanicals_Instance*	m_pxInstances;

	Asura_String					m_xName;
	int								m_iUID;
	int								m_iNumInstances;
	int								m_iOffsetToNextBase;

	// Array of visibility queries, one for each instance
	Asura_Static_Visibility_Query*	m_pxVisibilityQueries;
};

class Asura_PS3_Botanicals_Instance : public Asura_BGR_Instance
{
public:
	//Public functions
	void Render(Asura_PS3_Botanicals_Template* pxTemplate, Asura_PS3_Botanicals_Shape* pxShape, int iInstanceID);
};

#endif // !defined __ASURA_PS3_BOTANICALS_TEMPLATE_H__
