//
//	Asura_PS3_ExceptionHandler.cpp
//
//	Created By Ben Weston - 2/4/08
//
//	Copyright (C) 2008 Rebellion, All Rights Reserved.
//

#ifdef ASURA_PS3_SUPPORT_EXCEPTION_HANDLER

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef _ASURA_PS3_EXCEPTIONHANDLER_H_
#define _ASURA_PS3_EXCEPTIONHANDLER_H_

//simple wrapper for exception callbacks
class Asura_PS3_ExceptionHandler
{
public:
	static void Initialise( void );
	static void Shutdown( void );

private:
	static void Callback(uint64_t uId, sys_ppu_thread_t eExceptionType, uint64_t uDAR );

	static bool bRegistered;
};

#endif //_ASURA_PS3_EXCEPTIONHANDLER_H_

#endif //ASURA_PS3_SUPPORT_EXCEPTION_HANDLER

//eof
