
///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Platform_Overlay_Quad.cpp
// Author : Andy Tate
// Date   : 29-Jun-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Rendering/Asura_Overlay_Quad.h"

// Asura PS3 header-files...
#include "Rendering/Asura_PS3_QuadOverlayRenderer.h"


////////////////////////////////////////////////////////////////////////////////
// Function     : Asura_Overlay_Quad::Platform_Render
// Author       : Andy Tate
// Date         : 10-Aug-2005
//
// Description  : Adds "this" overlay-quad to the vertex-buffer to be rendered
//				  at a later date.
//
// Return value : None.
////////////////////////////////////////////////////////////////////////////////

void Asura_Overlay_Quad::Platform_Render (void)
{
	// Render the quad...
	Asura_PS3_QuadOverlayRenderer::Render	(*this);
}

/// End of function 'Asura_Overlay_Quad::Platform_Render'. ///


/// End of file. ///
