//
// FSFX_BrightnessContrast_FP.h
//
// Created by Catalin Arsenescu - 11 September 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_FSFX_BRIGHTNESSCONTRAST_FP_H__
#define __ASURA_PS3_FSFX_BRIGHTNESSCONTRAST_FP_H__

extern u_int _binary_PS3_FSFX_BrightnessContrast_FP_bin_start;
extern u_int _binary_PS3_FSFX_BrightnessContrast_FP_bin_end;

enum FRAGMENT_SHADER_UNIFORM_BC
{
	FPBC_Coefficients,

	FPBC_ELEMENTS
};

enum TEXTURE_UNITS_BC
{
	FPBC_InitialImage,

	FPBC_TU_ELEMENTS
};

class Asura_PS3_FSFX_BC_Handles : public Asura_PS3_FP_Handles
{
public:
	Asura_PS3_FSFX_BC_Handles() : Asura_PS3_FP_Handles( FPBC_ELEMENTS, FPBC_TU_ELEMENTS )
	{}

	void InitialiseFromShader( Asura_PS3_FragmentShaderBase* pxShader )
	{
		pxShader->InitUniformElement( FPBC_Coefficients,	"g_xCoefficients",		1 );

		pxShader->InitTextureUnit( FPBC_InitialImage,	"g_xInitialImage",	CELL_GCM_TEXTURE_CLAMP, CELL_GCM_TEXTURE_CLAMP, CELL_GCM_TEXTURE_NEAREST, CELL_GCM_TEXTURE_NEAREST
			, true
			);
	}
};

#endif //#ifndef __ASURA_PS3_FSFX_BRIGHTNESSCONTRAST_FP_H__
