//
// FSFX_DesatTint_FP.h
//
// Created by Catalin Arsenescu - 11 September 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_FSFX_DESATTINT_FP_H__
#define __ASURA_PS3_FSFX_DESATTINT_FP_H__

extern u_int _binary_PS3_FSFX_DesatTint_FP_bin_start;
extern u_int _binary_PS3_FSFX_DesatTint_FP_bin_end;

enum TEXTURE_UNITS_DT
{
	FPDT_InitialImage,

	FPDT_TU_ELEMENTS
};

enum FRAGMENT_SHADER_UNIFORM_DT
{
	FPDT_TintColourStrength,

	FPDT_ELEMENTS
};

class Asura_PS3_FSFX_DT_Handles : public Asura_PS3_FP_Handles
{
public:
	Asura_PS3_FSFX_DT_Handles() : Asura_PS3_FP_Handles( FPCM_ELEMENTS, FPCM_TU_ELEMENTS )
	{}

	void InitialiseFromShader( Asura_PS3_FragmentShaderBase* pxShader )
	{
		pxShader->InitUniformElement( FPDT_TintColourStrength,	"g_xTintColourStrength",	1 );

		pxShader->InitTextureUnit( FPDT_InitialImage,	"g_xInitialImage",	CELL_GCM_TEXTURE_CLAMP, CELL_GCM_TEXTURE_CLAMP, CELL_GCM_TEXTURE_NEAREST, CELL_GCM_TEXTURE_NEAREST
			, true
			);
	}
};

#endif //#ifndef __ASURA_PS3_FSFX_DESATTINT_FP_H__
