//
// Beam_VD.h
//
// Created by Catalin Arsenescu - 26 August 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_BEAM_VD_H__
#define __ASURA_PS3_BEAM_VD_H__

#define BEAM_VERTEX_SIZE			24

static Asura_PS3_VertexBufferDeclaration g_axVertexDeclaration [] =
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "In.Position",	 0,	CELL_GCM_VERTEX_F,	3, 0 },
	{ "In.Colour",		12,	CELL_GCM_VERTEX_UB,	4, 0 },
	{ "In.UV",			16,	CELL_GCM_VERTEX_F,	2, 0 },
};

enum VERTEX_DECLARATION
{
	VD_Position,
	VD_UV,
	VD_Colour,

	VD_ELEMENTS
};

#endif //#ifndef __ASURA_PS3_BEAM_VD_H__
