//
// Object_VD.h
//
// Created by Catalin Arsenescu - 26 August 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_OBJECT_VD_H__
#define __ASURA_PS3_OBJECT_VD_H__

#define OBJECT_HIERARCHY_VERTEX_SIZE	36

static Asura_PS3_VertexBufferDeclaration g_axVertexDeclaration[] =
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xPosition",	0,	CELL_GCM_VERTEX_F,		4, 0 },
	{ "xIn.m_xUV",			16,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_xNormal",		24,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xTangent",		28,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xBinormal",	32,	CELL_GCM_VERTEX_CMP,	1, 0 },
};

enum VERTEX_DECLARATION
{
	VD_POSITION,
	VD_UV,

	VD_NORMAL,
	VD_TANGENT,
	VD_BINORMAL,

	VD_ELEMENTS
};

#endif //#ifndef __ASURA_PS3_OBJECT_VD_H__
