//
// WATER_VD.h
//
// Created by Catalin Arsenescu - 26 August 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_WATER_VD_H__
#define __ASURA_PS3_WATER_VD_H__

static Asura_PS3_VertexBufferDeclaration g_axVertexDeclarationWater [] =
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xPosition",	0,	CELL_GCM_VERTEX_F,		3, 0 },
	{ "xIn.m_xNormal",		16,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xTangent",		20,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xBinormal",	24,	CELL_GCM_VERTEX_CMP,	1, 0 },
	{ "xIn.m_xUVPair",		36,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_xRedSH",		44,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_xGreenSH",		52,	CELL_GCM_VERTEX_SF,		4, 0 },
	{ "xIn.m_xBlueSH",		60,	CELL_GCM_VERTEX_SF,		4, 0 }
};

enum VERTEX_DECLARATION_WATER
{
	VDW_POSITION,

	VDW_NORMAL,
	VDW_TANGENT,
	VDW_BINORMAL,

	VDW_UV_PAIR,


	VDW_RED_SH,
	VDW_GREEN_SH,
	VDW_BLUE_SH,

	VDW_ELEMENTS
};

#endif //#ifndef __ASURA_PS3_WATER_VD_H__
