//
// Fog_VP.h
//
// Created by Catalin Arsenescu - 08 September 2007
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PS3_FOG_VP_H__
#define __ASURA_PS3_FOG_VP_H__

extern u_int _binary_PS3_SFX_Skybox_2D_bin_start;
extern u_int _binary_PS3_SFX_Skybox_2D_bin_end;

static Asura_PS3_GCM_VertexShaderUniformParameter g_axSkyboxConsts[] =
{
	//m_szName, m_usArraySize, m_sizeInFloat4ForOneElement, m_usRegister
	{ "g_xFrustumMatrix",		1, 3, NULL },
};

enum
{
	VP_FrustumMatrix
};

class Asura_PS3_VP_Skybox_2D : public Asura_PS3_GCM_VertexShader
{
public:
	Asura_PS3_VP_Skybox_2D() : Asura_PS3_GCM_VertexShader( (unsigned char *)&_binary_PS3_SFX_Skybox_2D_bin_start, (unsigned char *)&_binary_PS3_SFX_Skybox_2D_bin_end, g_axSkyboxConsts, sizeof(g_axSkyboxConsts)/sizeof(Asura_PS3_GCM_VertexShaderUniformParameter) )
	{
	}
};

#endif //#ifndef __ASURA_PS3_FOG_VP_H__
