//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_NetSocket_PSPAdhoc.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
// Description:
//
//     PSP Adhoc implementation of Asura_NetSocket class
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_PLATFORM_NETSOCKET_PSPADHOC_H___
#define ___ASURA_PLATFORM_NETSOCKET_PSPADHOC_H___ 1


// Asura independent headers
#include "Network/Asura_NetSocket.h"

class Asura_NetSocket_PSPAdhoc : public Asura_NetSocket
{
public:
	Asura_NetSocket_PSPAdhoc( u_int uMaxMachines )
		: Asura_NetSocket(uMaxMachines)
	{}

	virtual int				API_GetLastError();

	static void				GetAddressFromString(const char* szAddress, Asura_NetAddress *pxAddress, unsigned short* pusPort);

protected:
	virtual bool			API_Bind(Asura_NetAddress xAddress, u_short& usPort );
	virtual void			API_Close();
	virtual bool			API_ReceiveMessages();
	virtual bool			API_SendTo(const Asura_NetSocket_MessageInfo* pxMessageInfo);
	virtual void			API_SetBroadcastEnabled(bool bEnabled);
};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_PLATFORM_NETSOCKET_PSPADHOC_H___
