//
// Asura_PSP_Water.h
//
// Created by JG - 02/11/2005 14:31:19
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __ASURA_PSP_WATER_H__
#define __ASURA_PSP_WATER_H__

class Asura_PSP_Water
{
public:
	static void Initialise( void );
	static void Render( const char* cDisplayList, const unsigned int uCurrentRenderingBuffer );

	static u_char GetWaterOpacity() { return s_ucWaterOpacity; }
	static u_char GetWaterReflectivity() { return s_ucWaterReflectivity; }
	static void SetWaterOpacity(u_char ucValue) { s_ucWaterOpacity = ucValue; }
	static void SetWaterReflectivity(u_char ucValue) { s_ucWaterReflectivity = ucValue; }
private:
	// Few stencil values for water 
	static u_char s_ucWaterOpacity;
	static u_char s_ucWaterReflectivity;
	// KOR - 17/01/2006 - no longer used, as far as I know
	//static char dbg_cWaveOpacity = 0x80;
};

#endif//__ASURA_PSP_WATER_H__
