//////////////////////////////////////////////////////////////////////////////
//
// Asura_Chunk_ResourceFile_Wii_StreamedSounds.h
//
// Copyright (c) 2007 Rebellion. All rights reserved.
//
// Description:
//
//     chunk for Wii streamed sound header
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef ___ASURA_CHUNK_RESOURCEFILE_WII_STREAMEDSOUNDS_H___
#define ___ASURA_CHUNK_RESOURCEFILE_WII_STREAMEDSOUNDS_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "ChunkSystem/Asura_Chunk_ResourceFile.h"

// D E F I N E S /////////////////////////////////////////////////////////////

// Version history:
//
//     (KOR - 06.07.2007) -  0 - Initial version.
//
#define ASURA_WII_STREAMEDSOUNDS_CHUNK_VERSION (0)

// C L A S S E S /////////////////////////////////////////////////////////////

class Asura_Chunk_ResourceFile_Wii_StreamedSounds : public Asura_Chunk_ResourceFile
{

    public:

        // T Y P E S /////////////////////////////////////////////////////////
        struct HdrEntry
        {
            int iSoundID;
            int iOffset;
            int iSize;
        };

        // M E T H O D S /////////////////////////////////////////////////////
        bool Process( Asura_Handle hFile );

};
// End class Asura_Chunk_ResourceFile_Wii_StreamedSounds.

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef ___ASURA_CHUNK_RESOURCEFILE_WII_STREAMEDSOUNDS_H___
