//
// Compiler.h
//
// Created by KOR - 06 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __COMPILER_H__
#define __COMPILER_H__

// KOR - 15/11/2006 - defines from Codewarrior RVL_Debug_Prefix.h
// Put them here instead, as we want to be able to modify them
// and have them in source control.

//////////////////// start RVL_Debug_Prefix.h

// defines for RVL target
#ifndef RVL
#define RVL
#define RVL_SDK
#define TRK_INTEGRATION
#define RVL_OS
#define EPPC
#define GEKKO
#define	HOLLYWOOD_REV	1
#define	BROADWAY_REV	1
#define	IOP_REV	1
#endif

/*
* Enabling C++ extensions if compiling as C++
* sw on 09102002
*/

#ifdef __cplusplus
#pragma cpp_extensions on
#endif

#include <ansi_prefix.PPCEABI.Gamecube.h>

//////////////////// end RVL_Debug_Prefix.h

// KOR - 11/01/2007 - avoid legacy nastiness
#define GX_NO_LEGACY_HW1

#ifdef NDEBUG
    #define DEBUGVAR static const
#else
    #define DEBUGVAR static
#endif

#ifdef ASURA_DEBUG_VARIABLE_SYSTEM
#define DVSVAR static
#else
#define DVSVAR static const
#endif

#define ASURA_CODE_SECTION(name)

// Platform endianness...
#define ASURA_PLATFORM_IS_BIG_ENDIAN	(1)

#endif//__COMPILER_H__