//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_Botanicals_InstanceManager.cpp
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "Core/Asura.h"

#include "Botanicals/Asura_Botanicals_InstanceManager.h"

// Asura Xbox 360
#include "Botanicals/Asura_Xbox360_Botanicals.h"

/******************************************************************************/
/* Asura_Botanicals_InstanceManager Static Class Functions                    */
/******************************************************************************/

void Asura_Botanicals_InstanceManager::Platform_Initialise()
{
	Asura_Xbox360_Botanicals_System::Initialise();
}

void Asura_Botanicals_InstanceManager::Platform_Reset()
{
	Asura_Xbox360_Botanicals_System::Reset();
}

void Asura_Botanicals_InstanceManager::Platform_Shutdown()
{
	Asura_Xbox360_Botanicals_System::Shutdown();
}

void Asura_Botanicals_InstanceManager::Platform_Render( const float fFade )
{
	Asura_Xbox360_Botanicals_System::Render( fFade );
}
