///////////////////////////////////////////////////////////////////////////////
//
// File   : Asura_Chunk_ResourceFile_Xbox360.h
// Author : Andy Tate
// Date   : 26-Sep-2005
//
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
	#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __ASURA_CHUNK_RESOURCEFILE_XBOX360_H__
#define __ASURA_CHUNK_RESOURCEFILE_XBOX360_H__

/******************************************************************************/
/* Types                                                                      */
/******************************************************************************/

enum ASURA_RESOURCEFILE_TYPE_ID_XBOX360
{
	ASURA_RESOURCEFILE_TYPE_XBOX360_ENVIRONMENT      = 0,
	ASURA_RESOURCEFILE_TYPE_XBOX360_CHARACTER        = 1,
	ASURA_RESOURCEFILE_TYPE_XBOX360_OBJECT           = 2,
	ASURA_RESOURCEFILE_TYPE_XBOX360_OBJECTHIERARCHY  = 3,
	ASURA_RESOURCEFILE_TYPE_XBOX360_XPR              = 4,
	ASURA_RESOURCEFILE_TYPE_XBOX360_BOTANICALS       = 5,
	ASURA_RESOURCEFILE_TYPE_XBOX360_MATERIALRESPONSE = 6,
	ASURA_RESOURCEFILE_TYPE_XBOX360_CARPET           = 7,
	ASURA_RESOURCEFILE_TYPE_XBOX360_STATICDECALS     = 8,
	ASURA_RESOURCEFILE_TYPE_XBOX360_STREAMINGSOUNDS  = 9,
	ASURA_RESOURCEFILE_TYPE_XBOX360_SKIN             = 10,

	ASURA_RESOURCEFILE_TYPE_XBOX360_NUMIDS
};


#define ASURA_XBOX360_STATICDECALS_CHUNK_VERSION	1
#endif   // ifndef __ASURA_CHUNK_RESOURCEFILE_XBOX360_H__
