//////////////////////////////////////////////////////////////////////////////
//
// Asura_Xbox360_OS.cpp
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header.
#include "Asura_Xbox360_OS.h"

// S T A T I C   C L A S S   D A T A /////////////////////////////////////////
bool Asura_Xbox360_OS::s_bSystemUIOpen;
u_int Asura_Xbox360_OS::s_uActivePlayer = 0;

u_int Asura_Xbox360_OS::GetActivePlayerIndex()
{
	return s_uActivePlayer;
}

void Asura_Xbox360_OS::SetActivePlayerIndex(u_int uIndex)
{
	Asura_Assert(uIndex < XUSER_MAX_COUNT,  "invalid controller index");
	s_uActivePlayer = uIndex;
}

