//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_DLC_System.cpp
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#ifdef ASURA_SUPPORT_DOWNLOADABLE_CONTENT

#include "Network/Asura_DLC_System.h"

#include "Network/Asura_Xbox360_DLC_System.h"


void Asura_DLC_System::Platform_Initialise()
{
	Asura_Xbox360_DLC_System::Initialise();
}

void Asura_DLC_System::Platform_Shutdown()
{
	Asura_Xbox360_DLC_System::Shutdown();
}

void Asura_DLC_System::Platform_UpdateDownloadedFiles()
{
	Asura_Xbox360_DLC_System::UpdateDownloadedFiles(s_xDLCFiles);
}

bool Asura_DLC_System::Platform_IsNewContentAvailable()
{
	return Asura_Xbox360_DLC_System::IsNewContentAvailable();
}

void Asura_DLC_System::Platform_OpenStore()
{
	Asura_Xbox360_DLC_System::OpenStore();
}

void Asura_DLC_System::Platform_ClearDownloadedFileData()
{
	Asura_Xbox360_DLC_System::ClearDownloadedFileData();
}

#endif //#ifdef ASURA_SUPPORT_DOWNLOADABLE_CONTENT
