//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_DisplayLimits.cpp
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

/******************************************************************************/
/* Included Files                                                             */
/******************************************************************************/

#include "Core/Asura.h"

#include "Rendering/Asura_DisplayLimits.h"

// Asura Platform-independent
#include "Rendering/Asura_Viewport.h"

/******************************************************************************/
/* Asura_DisplayLimits Static Class Functions                                 */
/******************************************************************************/

Asura_Bounding_Rectangle Asura_DisplayLimits::Platform_GetPrimaryDisplayBounds()
{
	return Asura_Bounding_Rectangle( 0.0f, 0.0f, static_cast< float >( Asura_Viewport::GetWidth() ), static_cast< float >( Asura_Viewport::GetHeight() ) );
}

Asura_Bounding_Rectangle Asura_DisplayLimits::Platform_GetBoundingRectangle()
{
	return Platform_GetPrimaryDisplayBounds();
}
