// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdChannelChat/bdGetChannelMembersResult.h>

bdGetChannelMembersResult::bdGetChannelMembersResult()
{
}

bdGetChannelMembersResult::~bdGetChannelMembersResult()
{
	m_memberList.clear();
}

bdBool bdGetChannelMembersResult::handleResult(const bdUInt numResults, 
											   bdBitBufferRef buffer)
{
	bdBool ok = true;

	for(bdUInt i=0; ok && (i < numResults); i++)
	{
		bdGetChannelMembersResult::bdChannelMember channelMember;

		ok = buffer->readUInt64(channelMember.m_userID);
		ok = ok && buffer->readString(channelMember.m_userName, BD_MAX_USERNAME_LENGTH);
		ok = ok && buffer->readUByte8(channelMember.m_userType);
		
		if (ok)
		{
			m_memberList.pushBack(channelMember);
		}
	}

	m_numResults = m_memberList.getSize();
	return ok;
}

