// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdFriends/bdGetProposalListResult.h>

bdGetProposalListResult::bdGetProposalListResult()
{
}

bdGetProposalListResult::~bdGetProposalListResult()
{
	m_proposalList.clear();
}

bdBool bdGetProposalListResult::handleResult(const bdUInt numResults, 
											 bdBitBufferRef buffer)
{
	bdBool ok = true;

	for(bdUInt i=0; ok && (i < numResults); i++)
	{
		bdGetProposalListResult::bdPotentialFriend potentialFriend;

		ok = buffer->readUInt64(potentialFriend.m_userID);
		ok = ok && buffer->readString(potentialFriend.m_userName, BD_MAX_USERNAME_LENGTH);

		if(ok)
		{
			m_proposalList.pushBack(potentialFriend);
		}
	}
	
	m_numResults = m_proposalList.getSize();
	return ok;
}

