// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#ifndef BD_MESSAGES_QUERY_RESULT_H
#define BD_MESSAGES_QUERY_RESULT_H

#include <bdCore/bdCore.h>
#include <bdLobby/bdLobbyCommon/bdQueryResult.h>
#include <bdLobby/bdMessageStore/bdLobbyMessage.h>

class bdGetMessagesResult : public bdQueryResult
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdGetMessagesResult();

		virtual ~bdGetMessagesResult();

		virtual bdBool handleResult(const bdUInt numResults, 
									bdBitBufferRef buffer);

		bdArray<bdLobbyMessage> m_messages;
};

#endif // BD_MESSAGES_QUERY_RESULT_H
