// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

// PURPOSE: Collection of classes that are used in conjuction with the messaging
//	service. 

#ifndef BD_CHANNEL_CHAT_MESSAGE_H
#define BD_CHANNEL_CHAT_MESSAGE_H

#include <bdCore/bdCore.h>
#include <bdLobby/bdMessageStore/bdMessageTypes/bdChannelNotificationMessage.h>

BD_REFERENCE(bdChannelChatMessage);

class bdChannelChatMessage : public bdChannelNotificationMessage
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdChannelChatMessage(const bdUInt messageType);

		virtual ~bdChannelChatMessage();

		virtual bdBool deserialize(bdBitBufferRef buffer);

		/// The payload
		bdByteBufferRef m_data;
};

#endif // BD_CHANNEL_CHAT_MESSAGE_H


