// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

// PURPOSE: Collection of classes that are used in conjuction with the messaging
//	service. Games can derive from these for title specific messages.

#ifndef BD_LOBBY_DISCONNECT_MESSAGE_H
#define BD_LOBBY_DISCONNECT_MESSAGE_H

#include <bdLobby/bdMessageStore/bdLobbyMessage.h>
#include <bdLobby/bdLobbyCommon/bdLobbyServicesCommon.h>

class bdLobbyDisconnectMessage : public bdLobbyMessage
{
	public:
		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdLobbyDisconnectMessage();

		virtual ~bdLobbyDisconnectMessage();

		virtual bdBool deserialize(bdBitBufferRef buffer);

};

#include <bdLobby/bdMessageStore/bdMessageTypes/bdLobbyDisconnectMessage.inl>

#endif // BD_LOBBY_DISCONNECT_MESSAGE_H


