// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

/*
#define BD_LOBBY_MSG_CLASS						bdLobbyMessage,						0
#define BD_USER_NOTIFICATION_MSG_CLASS			bdUserNotificationMessage,			1
#define BD_FRIENDSHIP_PROPOSAL_MSG_CLASS		bdFriendshipProposalMessage,		2
#define BD_FRIEND_SESSION_INVITATION_MSG_CLASS	bdFriendSessionInvitationMessage,	3
#define BD_FRIEND_CUSTOM_MSG_CLASS				bdFriendCustomMessage,				4
#define BD_CHANNEL_NOTIFICATION_MSG_CLASS		bdChannelNotificationMessage,		5
#define BD_CHANNEL_CHAT_MSG_CLASS				bdChannelChatMessage,				6
#define BD_TEAM_NOTIFICATION_MSG_CLASS			bdTeamNotificationMessage,			7
#define BD_TEAM_SESSION_INVITATION_MSG_CLASS	bdTeamSessionInvitationMessage,		8
#define BD_TEAM_CUSTOM_MSG_CLASS				bdTeamCustomMessage,				9
#define	BD_TEAM_INVITATION_MSG_CLASS			bdTeamInvitationMessage,			10
*/

BD_LOBBY_MESSAGE_TYPES_BEGIN

	BD_LOBBY_MESSAGE_TYPE(BD_FRIENDSHIP_PROPOSAL_MSG,				1,	bdFriendshipProposalMessage, bdFriendshipProposalMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIENDSHIP_ACCEPT_MSG,					2,	bdUserNotificationMessage, bdFriendshipAcceptMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIENDSHIP_REJECT_MSG,					3,	bdUserNotificationMessage, bdFriendshipRejectMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIENDSHIP_REVOKE_MSG,					4,	bdUserNotificationMessage, bdFriendshipRevokeMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIEND_SESSION_INVITATION_MSG,			5,	bdFriendSessionInvitationMessage, bdFriendSessionInvitationMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIEND_SESSION_ACCEPT_MSG,				6,	bdUserNotificationMessage, bdFriendSessionAcceptMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIEND_SESSION_REJECT_MSG,				7,	bdUserNotificationMessage, bdFriendSessionRejectMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIEND_CUSTOM_MSG,						8,	bdFriendCustomMessage, bdFriendCustomMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIEND_CONNECTED_MSG,					9,	bdUserNotificationMessage, bdFriendConnectedMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIEND_DISCONNECTED_MSG,				10,	bdUserNotificationMessage, bdFriendDisconnectedMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIEND_BLOCK_MSG,						11, bdUserNotificationMessage, bdFriendBlockMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIEND_UNBLOCK_MSG,					12, bdUserNotificationMessage, bdFriendUnblockMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_INVITATION_MSG,					13,	bdTeamInvitationMessage, bdTeamInvitationMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_ACCEPT_MSG,						14,	bdTeamNotificationMessage, bdTeamAcceptMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_REJECT_MSG,						15,	bdTeamNotificationMessage, bdTeamRejectMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_LEAVE_MSG,						16,	bdTeamWideNotificationMessage, bdTeamLeaveMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_PROMOTION_MSG,					17,	bdTeamWideNotificationMessage, bdTeamPromotionMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_KICK_MSG,							18,	bdTeamWideNotificationMessage, bdTeamKickMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_SESSION_INVITATION_MSG,			19, bdTeamSessionInvitationMessage, bdTeamSessionInvitationMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_SESSION_ACCEPT_MSG,				20,	bdTeamNotificationMessage, bdTeamSessionAcceptMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_SESSION_REJECT_MSG,				21, bdTeamNotificationMessage, bdTeamSessionRejectMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_MEMBER_CUSTOM_MSG,				22, bdTeamCustomMessage, bdTeamMemberCustomMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_ADMIN_CUSTOM_MSG,					23, bdTeamCustomMessage, bdTeamAdminCustomMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_MEMBER_CONNECTED_MSG,				24, bdTeamNotificationMessage, bdTeamMemberConnectedMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_MEMBER_DISCONNECTED_MSG,			25, bdTeamNotificationMessage, bdTeamMemberDisconnectedMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_DISSOLVED,						26, bdTeamNotificationMessage, bdTeamDissolved)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAMNAME_UPDATED,						27, bdTeamNotificationMessage, bdTeamNameUpdated)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_PROMOTION_TO_OWNER_MSG,			28, bdTeamNotificationMessage, bdTeamOwnerPromotionMessage)
	// This message is pushed from the gateway in case a user has established
	// multiple connections to the gateway. In this case the previous connection
	// is closed
	BD_LOBBY_MESSAGE_TYPE(BD_MULTIPLE_LOGONS,						29, bdLobbyMessage, bdLobbyMessage)

	BD_LOBBY_MESSAGE_TYPE(BD_CHANNEL_CHAT_BROADCAST_MSG,			30, bdChannelChatMessage, bdChannelChatBroadcastMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_CHANNEL_CHAT_WHISPER_MSG,				31, bdChannelChatMessage, bdChannelChatWhisperMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_CHANNEL_USER_SUBSCRIBED_MSG,			32, bdChannelNotificationMessage, bdChannelChatSubscribeMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_CHANNEL_USER_UNSUBSCRIBED_MSG,			33, bdChannelNotificationMessage, bdChannelChatUnsubscribeMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIENDSHIP_PROPOSAL_CANCEL_MSG,		34, bdUserNotificationMessage, bdFriendshipProposalCancelMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_FRIEND_STATUS_ONLINE,					35, bdUserNotificationMessage, bdFriendStatusUpdateMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_PROFILE_INFO_UPDATED,					36, bdUserNotificationMessage, bdProfileInfoUpdatedMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAMMEMBERSHIP_PROPOSAL_CANCEL_MSG,	37, bdTeamNotificationMessage, bdTeamMembershipProposalCancelMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAMMEMBER_STATUS_ONLINE,				38, bdTeamNotificationMessage, bdTeamMemberStatusUpdateMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAMMEMBER_DEMOTED_TO_ORDINARY,		39, bdTeamWideNotificationMessage, bdTeamDemotionMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_CUSTOM_MSG,							40, bdFriendCustomMessage, bdCustomMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_PUBLIC_INFO_UPDATED,				41, bdTeamNotificationMessage, bdTeamPublicInfoUpdatedMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAM_PRIVATE_INFO_UPDATED,				42, bdTeamNotificationMessage, bdTeamPrivateInfoUpdatedMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAMMEMBER_PUBLIC_INFO_UPDATED,		43, bdTeamNotificationMessage, bdTeamMemberPublicInfoUpdatedMessage)
	BD_LOBBY_MESSAGE_TYPE(BD_TEAMMEMBER_PRIVATE_INFO_UPDATED,		44, bdTeamNotificationMessage, bdTeamMemberPrivateInfoUpdatedMessage)

BD_LOBBY_MESSAGE_TYPES_END(BD_MAX_LOBBY_MSG)
