// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdMessageStore/bdMessageTypes/bdUserNotificationMessage.h>

bdUserNotificationMessage::bdUserNotificationMessage(const bdUInt messageType)
:	bdLobbyMessage(messageType),
	m_originatorID(0)
{
	bdMemset(m_originatorName, '\0', sizeof(m_originatorName));
}


bdUserNotificationMessage::~bdUserNotificationMessage()
{
}

bdBool bdUserNotificationMessage::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = bdLobbyMessage::deserialize(buffer);
	ok = ok && buffer->readUInt64(m_originatorID);
	ok = ok && buffer->readString(m_originatorName, sizeof(m_originatorName));	
	return ok;
}
