// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#ifndef BD_CHECK_PROFILE_EXISTS_RESULT_H
#define BD_CHECK_PROFILE_EXISTS_RESULT_H

#include <bdLobby/bdLobbyCommon/bdLobbyServicesCommon.h>
#include <bdLobby/bdLobbyCommon/bdQueryResult.h>

class bdCheckProfileExistsResult : public bdQueryResult
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdCheckProfileExistsResult();

		virtual ~bdCheckProfileExistsResult();

		virtual bdBool handleResult(const bdUInt numResults, 
									bdBitBufferRef buffer);

		bdBool m_exists;
};

#endif // BD_CHECK_PROFILE_EXISTS_RESULT_H
