// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

// PURPOSE:

#ifndef BD_PROFILES_RESULT_H
#define BD_PROFILES_RESULT_H

#include <bdCore/bdCore.h>
#include <bdLobby/bdLobbyCommon/bdQueryResult.h>

template <typename T>
class bdProfilesResult : public bdQueryResult
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdProfilesResult();

		virtual ~bdProfilesResult();

		virtual bdBool handleResult(const bdUInt numResults,
									bdBitBufferRef buffer);

	public:

		T m_data;

};


#include <bdLobby/bdProfiles/bdProfilesResult.inl>

#endif // BD_PROFILES_RESULT_H
