// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

// PURPOSE:

#ifndef BD_LEADERBOARD_RESULT_H
#define BD_LEADERBOARD_RESULT_H

#include <bdCore/bdCore.h>
#include <bdLobby/bdLobbyCommon/bdQueryResult.h>

template <typename T, bdUInt ARRAY_SIZE = 1>
class bdLeaderBoardResult : public bdQueryResult
{
	public:

		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		bdLeaderBoardResult();

		virtual ~bdLeaderBoardResult();

		virtual bdBool handleResult(const bdUInt numResults,
									bdBitBufferRef buffer);

	public:
	
		T m_leaderBoardEntries [ARRAY_SIZE];

		bdUInt m_totalLeaderboardEntries;

};


#include <bdLobby/bdStats/bdLeaderBoardResult.inl>

#endif // BD_LEADERBOARD_RESULT_H
