// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdTeams/bdCreateTeamResult.h>

bdCreateTeamResult::bdCreateTeamResult() :
m_teamID(0)
{
}

bdCreateTeamResult::~bdCreateTeamResult()
{
}

bdBool bdCreateTeamResult::handleResult(const bdUInt numResults, 
										bdBitBufferRef buffer)
{
	bdBool ok = true;
	m_numResults = 0;

	BD_ASSERT(numResults <= 1, "Only expecting 1 or 0 results.");

	if(numResults > 0)
	{
		ok = buffer->readUInt64(m_teamID);
		if(ok)
		{			
			m_numResults = 1;
		}
	}

	return ok;
}
