// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS
// PURPOSE: The result set obtained following a call to bdTitleUtilities::verifyString.

#ifndef BD_VERIFY_STRING_RESULT_H
#define BD_VERIFY_STRING_RESULT_H

#include <bdCore/bdCore.h>
#include <bdLobby/bdLobbyCommon/bdQueryResult.h>

class bdVerifyStringResult : public bdQueryResult
{
	public:
		BD_DECLARE_NEW_AND_DELETE_OPERATORS

		// Constructor.
		bdVerifyStringResult();

		virtual bdBool handleResult(const bdUInt numResults, 
									bdBitBufferRef buffer);

		/// - True: the string has been verified
		/// - False: string did not pass the vulgarity filter
		bdBool m_verified;

};

#endif // BD_VERIFY_STRING_RESULT_H
