// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdNet/bdStream/bdStreamId.h>

bdStreamId::bdStreamId(const bdCommonAddrRef addr,
					   const bdStreamNum streamNum)
: m_addr(addr),
  m_streamNum(streamNum)
{
}

bdStreamId::~bdStreamId()
{
}

bdBool bdStreamId::operator==(const bdStreamId &other) const
{
	const bdBool equal = (*(m_addr.operator ->()) == *(other.m_addr.operator ->())) &&
						 m_streamNum == other.m_streamNum;
	return equal;
}

bdCommonAddrRef bdStreamId::getAddr() const
{
	return m_addr;
}

bdStreamNum bdStreamId::getStreamNum() const
{
	return m_streamNum;
}

bdUInt bdStreamIdHash::getHash(const bdStreamId &streamId) const
{
	const bdUInt hash = streamId.getAddr()->getHash() + streamId.getStreamNum();
	return hash;
}
