
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Vertebrate_PlayerAnimStateData.h
// Author : Anthony Gregson
// Date   : 01/07/2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_VERTEBRATE_PLAYERANIMSTATEDATA_H__
#define __AVP_VERTEBRATE_PLAYERANIMSTATEDATA_H__

#include "Core/Asura_HashTree.h"
#include "Core/Asura_String.h"

#include "Actor/Vertebrates/AVP_Vertebrate_PlayerAnimStateHandler.h"

class AVP_Vertebrate_PlayerAnimStateData
{
public:
	static const Asura_String GetStateDescription(u_int uState, u_int uSpeed);

protected:
	static u_int GetNumStates()						{ return AVP_Vertebrate_PlayerAnimStateHandler::MOVESTATE_END_NOAIM; }
	static u_int GetNumSpeeds(const u_int uState)	{ return (uState == AVP_Vertebrate_PlayerAnimStateHandler::MOVESTATE_NORMAL) ? AVP_Vertebrate_PlayerAnimStateHandler::MOVESPEED_END : (AVP_Vertebrate_PlayerAnimStateHandler::MOVESPEED_SLOW + 1); }
};

#endif // __AVP_VERTEBRATE_PLAYERANIMSTATEDATA_H__
