//////////////////////////////////////////////////////////////////////////////
//
// AVP_Chunk_WeaponData.h
//
// Copyright (C) 2009 Rebellion. All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AVP_CHUNK_WEAPONDATA_H__
#define __AVP_CHUNK_WEAPONDATA_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

// asura
#include "ChunkSystem/Asura_Chunk_Loaders.h"

// F O R W A R D   D E C L A R A T I O N S ///////////////////////////////////

class Asura_Chunk_Stream;

class AVP_Chunk_WeaponData : public Asura_Chunk_Header
{
public:
#ifdef ASURA_TOOLS
	static bool WriteToFile( Asura_String& xFileName );
	static void WriteToChunkStream( Asura_Chunk_Stream& xStream );
#endif
	void ReadFromChunkStream( Asura_Chunk_Stream& xStream );
};

#endif //__AVP_CHUNK_WEAPONDATA_H__
