
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_State_Playing.cpp
// Author : Anthony Gregson
// Date   : 03/12/07
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header
#include "Core/States/Playing/AVP_State_Playing.h"

// Asura includes

// Project includes
#include "Core/AVP_StateMachine_Playing.h"

AVP_State_Playing::AVP_State_Playing(AVP_StateMachine_Playing& xParentMachine)
: PARENT(xParentMachine)
{
}

AVP_StateMachine_Playing& AVP_State_Playing::GetParentPlayingMachine()
{
	return static_cast<AVP_StateMachine_Playing&>(m_xParentMachine);
}

const AVP_StateMachine_Playing& AVP_State_Playing::GetParentPlayingMachine() const
{
	return static_cast<const AVP_StateMachine_Playing&>(m_xParentMachine);
}

/// End of file. ///
