//////////////////////////////////////////////////////////////////////////////
//
// AVP_RoomNode_ExitLink.cpp
//
// Created by AJK 02/02/2009
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header.
#include "Entity/ObjectiveSystem/RoomNode/AVP_RoomNode_ExitLink.h"

#ifdef ASURA_TOOLS
AVP_RoomNode_ExitLink::AVP_RoomNode_ExitLink()
: m_uMyID( 0 )
, m_uLinkedExitLinkID ( 0 )
, m_uLinkedRoomGuid( ASURA_GUID_UNREGISTERED )
, m_uLinkedRoom2Guid( ASURA_GUID_UNREGISTERED )
, m_uFlags( FLAG_USEBY_PREDATOR | FLAG_USEBY_ALIEN | FLAG_USEBY_MARINE )
, m_bConverted( false )
{
}
#endif

AVP_RoomNode_ExitLink::AVP_RoomNode_ExitLink( u_int uID,  const Asura_Vector_3& xPosition, Asura_Guid uRoom1, Asura_Guid uRoom2,u_int uFlags  )
: m_uMyID( uID )
, m_uLinkedExitLinkID( 0 )
, m_uLinkedRoomGuid( uRoom1 )
, m_uLinkedRoom2Guid( uRoom2 )
, m_xPosition( xPosition )
, m_uFlags( uFlags )
, m_bConverted( false )
{
}

AVP_RoomNode_ExitLink::AVP_RoomNode_ExitLink( u_int uID, u_int uLinkedExitLinkID, Asura_Guid uRoom, const Asura_Vector_3& xPosition, u_int uFlags  )
: m_uMyID( uID )
, m_uLinkedExitLinkID( uLinkedExitLinkID )
, m_uLinkedRoomGuid( uRoom )
, m_xPosition( xPosition )
, m_uFlags( uFlags )
, m_bConverted( false )
{
}