/////////////////////////////////////////////////////////////////////////////////////////////////////////
///
/// This is no longer used/needed but is kept just in case design changes its mind and want devoted
/// pheromone entities
///
/////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_ServerEntity_Pheromone.h
// Author : Andy Tate
// Date   : 28-Feb-2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_SERVERENTITY_PHEROMONE_H__
#define __AVP_SERVERENTITY_PHEROMONE_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Core/Asura_HashTree.h"
#include "Entity/Asura_Entity.h"

class Asura_Message;

class AVP_Message_Pheromone_Create;


class AVP_ServerEntity_Pheromone : public Asura_Entity_Server
{
public:
	// Public typedefs...
	typedef Asura_Classified_List<AVP_ServerEntity_Pheromone> PheromoneList;

	// Public functions...
	static AVP_ServerEntity_Pheromone*	Create(const Asura_Message* pxMessage);
	static AVP_ServerEntity_Pheromone*	CreateFromTools(Asura_Guid uGuid)
	{
		return new AVP_ServerEntity_Pheromone(uGuid);
	}


	// Overridden functions...
 	virtual bool	HandleMessage(const Asura_Message* pxMessage);
 	virtual void	MakeCreateMessage(Asura_Guid uRequestingClient, bool bSendGuaranteed);
// 	virtual void	Update(void);

	virtual bool	GetHasCreateMessage(void) const	{ return(true); }


	static AVP_ServerEntity_Pheromone*	FindEntity(const Asura_Guid uGuid)	{ return(s_xList.FindEntity(uGuid)); }
	static const PheromoneList&		GetList(void)						{ return(s_xList); }

	Asura_Hash_ID GetBlueprintHashID(void) {return m_xBlueprintHashID;}
	void SetBlueprintHashID(Asura_Hash_ID xHashID) {m_xBlueprintHashID = xHashID;}

protected:
	// Protected variables...
	AVP_ServerEntity_Pheromone();
	AVP_ServerEntity_Pheromone(Asura_Guid uGuid);
	// Protected functions...
	virtual ~AVP_ServerEntity_Pheromone();

	// Overridden functions...
	virtual void	MakeClientUpdateMessage(void);


private:
	// Private typedefs...
	typedef Asura_Entity_Server PARENT;

	// Static variables...
	static PheromoneList	s_xList;	// Static list of all pheromone server-entities.

	Asura_Hash_ID m_xBlueprintHashID;

	// Private functions...
	AVP_ServerEntity_Pheromone(const AVP_ServerEntity_Pheromone& xOther);

	AVP_ServerEntity_Pheromone&	operator=(const AVP_ServerEntity_Pheromone& xOther);

};   // End of class 'AVP_ServerEntity_AcidDamage'.


#endif
*/