//////////////////////////////////////////////////////////////////////////////
//
// AVP_Messages_InteractInvisiSwitch.h
//
// Created by CAH 25/02/2009
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef AVP_MESSAGE_INTERACTSENTRYGUNINVISISWITCH
#define AVP_MESSAGE_INTERACTSENTRYGUNINVISISWITCH

////////////////////////////////////////////////////////////////////////////////
// INCLUDES 

#include "Entity/PhysicalObject/Interact/AVP_Messages_InteractObject.h"

////////////////////////////////////////////////////////////////////////////////
// FORWARD DECLARATIONS

class AVP_ServerEntity_InteractInvisiSwitch;

////////////////////////////////////////////////////////////////////////////////
// Class        : AVP_Message_InteractInvisiSwitch_ClientCreate
// Author       : Callum Hope CAH
// Date         : 25/02/09
////////////////////////////////////////////////////////////////////////////////

class AVP_Message_InteractInvisiSwitch_ClientCreate : public AVP_Message_InteractObject_ClientCreate
{
public:
	void FillInteractionObject( const AVP_ServerEntity_InteractInvisiSwitch* pxObject );

private :
	typedef AVP_Message_InteractObject_ClientCreate PARENT;

};

#endif   // ifndef AVP_MESSAGE_INTERACTSENTRYGUNINVISISWITCH
