//////////////////////////////////////////////////////////////////////////////
//
// AVP_Message_InteractToolReceptacle_ClientCreate.cpp
//
// Created by AJK 25/11/2008
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////
#include "Core/Asura.h"

#include "Entity/PhysicalObject/Interact/ToolReceptacle/AVP_Messages_InteractToolReceptacle.h"

// AVP
#include "Entity/PhysicalObject/Interact/ToolReceptacle/AVP_ServerEntity_InteractToolReceptacle.h"


AVP_Message_InteractToolReceptacle_ClientCreate::AVP_Message_InteractToolReceptacle_ClientCreate()
: m_bToolInside(false)
{

}

void AVP_Message_InteractToolReceptacle_ClientCreate::FillInteractionObject( const AVP_ServerEntity_InteractToolReceptacle* pxObject )
{
	m_bToolInside = pxObject->IsToolInside();
	m_uToolGuid   = pxObject->GetToolGuid();
	PARENT::FillInteractionObject( pxObject );
}
