//////////////////////////////////////////////////////////////////////////////
//
// AVP_Message_InteractRetinalScanner_ClientCreate.cpp
//
// Created by AJK 05/01/2009
//
// Copyright (c) 2009 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////
#include "Core/Asura.h"

#include "Entity/PhysicalObject/Interact/ToolReceptacle/RetinalScanner/AVP_Messages_InteractRetinalScanner.h"

// AVP
#include "Entity/PhysicalObject/Interact/ToolReceptacle/RetinalScanner/AVP_ServerEntity_InteractRetinalScanner.h"


AVP_Message_InteractRetinalScanner_ClientCreate::AVP_Message_InteractRetinalScanner_ClientCreate()
: m_uVictimBlueprintHashID ( ASURA_HASH_ID_UNSET )
, m_uVictimBlueprintType ( ASURA_HASH_ID_UNSET )
{

}

void AVP_Message_InteractRetinalScanner_ClientCreate::FillInteractionObject( const AVP_ServerEntity_InteractRetinalScanner* pxObject )
{
	m_uVictimBlueprintHashID = pxObject->GetVictimBlueprintHash();
	m_uVictimBlueprintType   = pxObject->GetVictimBlueprintType();

	PARENT::FillInteractionObject( pxObject );
}