//////////////////////////////////////////////////////////////////////////////
//
// Asura_Project_CommandConsole.cpp
//
// Copyright (c) 2003 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

#if defined ASURA_SUPPORT_COMMAND_CONSOLE

#include "Interface/Asura_CommandConsole.h"
#include "Interface/Asura_CommandConsole_IO.h"

#include "Core/AVP_Core.h"

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_SUPPORT_COMMAND_CONSOLE_QUIT
bool Asura_CommandConsole::Project_RequestQuit()
{
	AVP_Core::RequestQuit();
    return true;
}
#endif

bool Asura_CommandConsole::Project_OnConsoleUp()
{
    return true;
}

bool Asura_CommandConsole::Project_OnConsoleDown()
{
    return true;
}

bool Asura_CommandConsole::Project_IsConsoleToggled()
{
    return Asura_UserInput::DebouncedKeyPressed('`');
}

bool Asura_CommandConsole::Project_CheckRestrictions( u_int uRestrictions, bool bIsCmd )
{
    return true;
}


#if defined ASURA_DEBUG_VARIABLE_SYSTEM

bool Asura_DebugVariableSystem::Project_ShouldOpen (void)
{
	return(false);
}

bool Asura_DebugVariableSystem::Project_ShouldClose (void)
{
	return(false);
}

#endif // defined ASURA_DEBUG_VARIABLE_SYSTEM

#endif // defined ASURA_SUPPORT_COMMAND_CONSOLE

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////
