
///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Taser_ClientEffectsHandler.cpp
// Author : Chris Wallace
// Date   : 10/11/2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

// This file's header...
#include "Inventory/Items/Weapons/AVP_Taser_ClientEffectsHandler.h"

//Asura

//AVP

AVP_Taser_ClientEffectsHandler::AVP_Taser_ClientEffectsHandler( const Asura_Hash_ID uHash, const Asura_Guid uOwnerGuid )
: AVP_RangedWeapon_ClientEffectsHandler(uHash, uOwnerGuid)
{

}

AVP_Taser_ClientEffectsHandler::~AVP_Taser_ClientEffectsHandler()
{
	
}

void AVP_Taser_ClientEffectsHandler::DoTracerBeam( const Asura_Vector_3& xFirePosition, const Asura_Matrix_3x3& xFireOrientation, const float fRange, const AVP_InventoryWeapon_RangedWeapon::SubType eSubType )
{
	AVP_RangedWeapon_ClientEffectsHandler::DoTracerBeam(xFirePosition, xFireOrientation, fRange, eSubType, 2);
}
