///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_InventoryTool_Tequila.h
// Author : Will Plano
// Date   : 03/03/2009
//
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __AVP_INVENTORYTOOL_TEQUILA_H__
#define __AVP_INVENTORYTOOL_TEQUILA_H__

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Inventory/Items/Weapons/AVP_InventoryWeapon_RangedWeapon.h"

class AVP_InventoryTool_Tequila : public AVP_InventoryWeapon_RangedWeapon
{
public:

	AVP_InventoryTool_Tequila( AVP_Inventory_Group& xParentGroup, const Asura_Hash_ID uHash, const Asura_Hash_ID uBlueprintHash);
	virtual ~AVP_InventoryTool_Tequila() {}

	virtual void	StartUsing(const u_int uUsageType)	{}
	virtual void	Use(void)							{}
	virtual void	StopUsing(const u_int uUsageType)	{}

	virtual void	UpdateClientState(AVP_ClientEntity_Actor& xClient);

	virtual AVP_RangedWeapon_ClientEffectsHandler* CreateClientEffectsHandler(Asura_Hash_ID uBlueprintHash, Asura_Hash_ID uOwnerGuid);

	virtual bool	IsEncumberment(void) const { return true; }

private:
	typedef AVP_InventoryWeapon_RangedWeapon PARENT;

	AVP_InventoryTool_Tequila(void);
	AVP_InventoryTool_Tequila(const AVP_InventoryTool_Tequila& xOther);

	AVP_InventoryTool_Tequila&	operator=(const AVP_InventoryTool_Tequila& xOther);
};

#endif   // ifndef __AVP_INVENTORYTOOL_TEQUILA_H__
