//////////////////////////////////////////////////////////////////////////////
//
// AVP_PolygonFlags.h
//
// Created by NJD - 14 December 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AVP_POLYGONFLAGS_H__
#define __AVP_POLYGONFLAGS_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

// asura
#include "Mesh/Asura_Mesh.h"

//////////////////////////////////////////////////////////////////////////////
//
// AVP_PolygonFlags
//
//////////////////////////////////////////////////////////////////////////////

#define NUM_AVP_PROJECT_POLYGON_FLAGS					7

#define AVP_PolygonFlag_IgnoreForPlayerCollision		0x00000100	// Alien will creep along if appropriate.
#define AVP_PolygonFlag_IgnoreForAlienCollision			0x00000200	// Used to ignore collision for Aliens.
#define AVP_PolygonFlag_IgnoreForFaceHuggerCollision	0x00000400	// Used to ignore collision for Face-Hugger.
#define AVP_PolygonFlag_IgnoreForReorientation			0x00000800	// Reorientation code will ignore this poly.
#define AVP_PolygonFlag_IgnoreForHumanCollision			0x00001000	// Used to ignore collision for humans.
#define AVP_PolygonFlag_IgnoreForPredatorCollision		0x00002000	// Used to ignore collision for Predators.
#define AVP_PolygonFlag_IgnoreForPhysicsObjectCollision 0x00004000  // Used to ignore collision for physics objects.

//////////////////////////////////////////////////////////////////////////////
//
// 
//
//////////////////////////////////////////////////////////////////////////////

#endif //__AVP_POLYGONFLAGS_H__
