//
// AVP_VoiceChannels.h
//
// Created by JG - 16 January 2009
//
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

// Constants

// Voice channel indexes
const static u_char uAVP_VOICE_CHANNEL_LOBBY		= 0;
const static u_char uAVP_VOICE_CHANNEL_TEAM1		= 1;
const static u_char uAVP_VOICE_CHANNEL_TEAM2		= 2;
const static u_char uAVP_VOICE_CHANNEL_TEAM3		= 3;
const static u_char uAVP_VOICE_CHANNEL_DEATH		= 4;
const static u_char uAVP_VOICE_CHANNEL_GLOBAL		= 5; 

// Some helper bitmasks
const static u_char uAVP_VOICE_CHANNELS_SETUP_NONE				= 0;
const static u_char uAVP_VOICE_CHANNELS_SETUP_LOBBYONLY			= 1 << uAVP_VOICE_CHANNEL_LOBBY;
const static u_char uAVP_VOICE_CHANNELS_SETUP_TEAM1ONLY			= 1 << uAVP_VOICE_CHANNEL_TEAM1;
const static u_char uAVP_VOICE_CHANNELS_SETUP_TEAM2ONLY			= 1 << uAVP_VOICE_CHANNEL_TEAM2;
const static u_char uAVP_VOICE_CHANNELS_SETUP_TEAM3ONLY			= 1 << uAVP_VOICE_CHANNEL_TEAM3;
const static u_char uAVP_VOICE_CHANNELS_SETUP_DEATHONLY			= 1 << uAVP_VOICE_CHANNEL_DEATH;
const static u_char uAVP_VOICE_CHANNELS_SETUP_GLOBALONLY		= 1 << uAVP_VOICE_CHANNEL_GLOBAL;

#ifndef __AVP_VOICECHANNELS_H__
#define __AVP_VOICECHANNELS_H__

#endif//__AVP_VOICECHANNELS_H__