///////////////////////////////////////////////////////////////////////////////
//
// File   : GlowOutlinesSkin_VD.h
// Author : Andy Southgate
// Date   : 19-Feb-2009
//
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////


#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __GLOWOUTLINESSKIN_VD_H__
#define __GLOWOUTLINESSKIN_VD_H__

static Asura_PS3_VertexBufferDeclaration g_axVertexDeclarationGlowOutlinesSkin[] =
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xWorldPosition",		 0,	CELL_GCM_VERTEX_F,		4, 0 },
};
enum VERTEX_DECLARATION
{
	VD_GLOWOUTLINESSKIN_POSITION,
	VD_GLOWOUTLINESSKIN_ELEMENTS
};

//Must correspond to SmoothSkin_VD.h
static Asura_PS3_VertexBufferDeclaration g_axVertexDeclarationGlowOutlinesSkin_No_SPU[] =
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xPosition",		 0,	CELL_GCM_VERTEX_F,		3, 0 },
	{ "xIn.m_aiBoneIndices",	20,	CELL_GCM_VERTEX_UB256,	4, 0 },
	{ "xIn.m_afBoneWeights",	24,	CELL_GCM_VERTEX_UB,		4, 0 },
};
enum VERTEX_DECLARATION_NO_SPU
{
	VD_GLOWOUTLINESSKIN_NO_SPU_POSITION,
	VD_GLOWOUTLINESSKIN_NO_SPU_BONE_INDICES,
	VD_GLOWOUTLINESSKIN_NO_SPU_BONE_WEIGHTS,
	VD_GLOWOUTLINESSKIN_NO_SPU_ELEMENTS
};


#endif // !defined(__GLOWOUTLINESSKIN_VD_H__)

/// End of file. ///
