///////////////////////////////////////////////////////////////////////////////
//
// File   : PheromoneTrail_VD.h
// Author : Andy Southgate
// Date   : 16-Jan-2009
//
// Copyright (C) 2009 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////


#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __PHEROMONETRAIL_VD_H__
#define __PHEROMONETRAIL_VD_H__

#define PHEROMONETRAIL_VERTEX_SIZE	32

static Asura_PS3_VertexBufferDeclaration g_axVertexDeclarationPheromoneTrail[] =
{
	//	m_szName, m_uOffset, m_uType, m_uNumberOfCoords, m_ucAttributeIndex
	{ "xIn.m_xPosition",		 0,	CELL_GCM_VERTEX_F,		3, 0 },
	{ "xIn.m_xColour",			12,	CELL_GCM_VERTEX_UB,		4, 0 },
	{ "xIn.m_xUV",				16,	CELL_GCM_VERTEX_F,		4, 0 },
};

enum VERTEX_DECLARATION_PHEROMONETRAIL
{
	VD_PHEROMONETRAIL_POSITION,
	VD_PHEROMONETRAIL_COLOUR,
	VD_PHEROMONETRAIL_TEXCOORD,

	VD_PHEROMONETRAIL_ELEMENTS
};

#endif // !defined(__PHEROMONETRAIL_VD_H__)

/// End of file. ///
