///////////////////////////////////////////////////////////////////////////////
//
// File   : AVP_Platform_FMV.cpp
// Author : Catalin Arsenescu
// Date   : 24/04/08
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#include "Core/Asura.h"

#include "Fmv/AVP_FMV.h"

#include "FMV/Asura_Xbox360_XMV.h"

void AVP_FMV::Platform_Initialise ()
{
	//Dont need to do anything here
}

void AVP_FMV::Platform_Shutdown ()
{
	//Or here
}

bool AVP_FMV::Platform_Play(const char* szFilename, int iAudioStream, bool bLoop)
{
	//Make the filename valid
	char szPath[MAX_PATH];
	Asura_PrintfToBfr(szPath,"game:\\FMV\\%s.wmv",MAX_PATH,0,szFilename);
	//Use the XMV player to play this file
	Asura_Xbox360_XMV::AllowSkip(true);
	Asura_Xbox360_XMV::Play(szPath, iAudioStream, bLoop);
	return true;
}

//eof
