//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Cutscene_Event_CloakActor_Undo.h
//
// Created by Ali Jakamy 01/07/2008
//
// Copyright (c) 2008 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLSAVP_CUTSCENE_EVENT_CLOAKACTOR_UNDO_H__
#define __TOOLSAVP_CUTSCENE_EVENT_CLOAKACTOR_UNDO_H__


#include "Cutscene/Tools_Cutscene_Event.h"

class ToolsAVP_Cutscene_Event_CloakActor_Undo : public CutsceneUndoData_Event_Changed
{
public :

	ToolsAVP_Cutscene_Event_CloakActor_Undo(Tools_Cutscene_Event* pxEvent);
	virtual void SwapWithEvent(Tools_Cutscene_Event* pxEvent);

private :

	//backup variables for undo
	float m_fDuration;            // Duration of the cloaking effect
	float m_fCloakingDuration;    // Time it takes to go from uncloaked to cloaked
	float m_fUncloakingDuration;  // Time it takes to go from cloaked to uncloaked
    float m_fLightningScale;      // The scale of lightning during the Enter/Exit cloaking phase

};


#endif // #ifndef __TOOLSAVP_CUTSCENE_EVENT_CLOAKACTOR_UNDO_H__