//////////////////////////////////////////////////////////////////////////////
//
// ToolsAVP_Object_Type.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef TOOLSAVP_OBJECT_TYPE_H___
#define TOOLSAVP_OBJECT_TYPE_H___ 1

// I N C L U D E S ///////////////////////////////////////////////////////////

// Tools.
#include "Objects/Tools_Object.h"

// T Y P E S /////////////////////////////////////////////////////////////////

enum TOOLSAVP_OBJECT_TYPE
{
	TOT_Entity_Predator = TOT_FirstProjectSpecific,
	TOT_Entity_Alien,
	TOT_Entity_FaceHugger,
	TOT_Entity_Human,	
	TOT_Entity_Dropship,
	TOT_Entity_SpawnPoint,
	TOT_Entity_AIPointController,
	TOT_Entity_GoToPoint,
	TOT_Entity_SquadController,
	TOT_Entity_TeamController,

	TOT_Object_MapRoom_UNUSED,	// Not currently used

	TOT_Actor,

	TOT_Entity_DamageableObject,

	TOT_Entity_InteractiveObject,

	TOT_Entity_CheckPointNode,
	TOT_Entity_BombTarget,

    TOT_Entity_AlienTeam,
	TOT_Entity_AlienSpawnPoint,
	TOT_Entity_GamePlayVolume,
	TOT_Entity_MarineSquad,
    TOT_Entity_MarineTeam,
	TOT_Entity_AVPOrientedNode,
	TOT_Entity_Android,
	TOT_Entity_LookAt,
	TOT_Entity_FormationPoint,
	TOT_Entity_VantagePoint_Predator,
	TOT_Entity_AI_Objective,
	TOT_Entity_AI_Marine_Objective,
	TOT_Entity_Civilian,
	TOT_Entity_Marine,
	TOT_Entity_HumanSpawnPoint,
	TOT_Entity_AVPCoverpointNode,
	TOT_Entity_FleePoint,

	TOT_Entity_Vent,

	TOT_Entity_AVPGS2Node,
	TOT_Entity_AVPGS2Attractor,
	TOT_Entity_AVPGS2Spline,

	TOT_Entity_SpawnController,
	TOT_Entity_SpawnPoint2,

	TOT_Entity_AlienSquad,
	TOT_Entity_Sentrygun,

	TOT_Entity_GameMode, 
	TOT_Entity_CapturePoint_UNUSED,	// Not currently used

	TOT_Entity_FaceHuggerSquad,

	TOT_Entity_Pickup,

	TOT_Entity_Pheromone_UNUSED,	// Not currently used

	TOT_Entity_ShootAt,

	TOT_Entity_Player_Objective,

	TOT_Entity_InteractPredatorLock,
	TOT_Entity_InteractToolReceptacle,
	TOT_Entity_InteractBatteryReceptacle,
	TOT_Entity_InteractHackingPoint,
	TOT_Entity_InteractInvisiSwitch,
	TOT_Entity_InteractRetinalScanner,

	TOT_Entity_AlienQueen,
	
	TOT_Entity_CommandPost,

	TOT_Entity_RoomNode,
	TOT_Entity_MotionTrackerBlip,

	TOT_Entity_PlayerProxy,

	TOT_Entity_AVPWaypointBlockerVolume,

	TOT_Entity_LocationMarker,

	TOT_Entity_Predalien
};

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

#endif // #ifndef TOOLSAVP_OBJECT_TYPE_H___
