#ifdef ASURA_USE_AXON
//////////////////////////////////////////////////////////////////////////////
//
// Axon_Behaviour_Types.h
//
// Created by NJD - 23 August 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

// B E G I N   F I L E   W R A P P E R ///////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __AXON_BEHAVIOUR_TYPES_H__
#define __AXON_BEHAVIOUR_TYPES_H__ 1

// E N D   F I L E   W R A P P E R ///////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
//
// Axon_Behaviour_Types
//
//////////////////////////////////////////////////////////////////////////////

// NOTE:
// These values are saved out to chunk buffers, so do not reorder or change them.
enum Axon_Behaviour_Types
{
	AXON_BEHAVIOUR_TYPE_UNSET                   = 0,

    AXON_BEHAVIOUR_TYPE_MANAGER_SEQUENTIAL      = 1,
    AXON_BEHAVIOUR_TYPE_MANAGER_ONEOF           = 2,
    AXON_BEHAVIOUR_TYPE_MANAGER_RANDOM          = 3,
    AXON_BEHAVIOUR_TYPE_MANAGER_CONCURRENT      = 4,

    AXON_BEHAVIOUR_TYPE_MOVEMENT                = 5,

	AXON_BEHAVIOUR_TYPE_GS2_ACTOR				= 6,
	AXON_BEHAVIOUR_TYPE_GS2_NODE				= 7,
	AXON_BEHAVIOUR_TYPE_GS2_SPLINE				= 8,
	AXON_BEHAVIOUR_TYPE_GS2_ATTRACTOR_EN_ROUTE	= 9,

	AXON_BEHAVIOUR_TYPE_USE_GUARD_ZONE			= 20,
	AXON_BEHAVIOUR_TYPE_FOLLOW_ACTOR			= 21,
	AXON_BEHAVIOUR_TYPE_IDLE					= 22,
	AXON_BEHAVIOUR_TYPE_LOOK_AT					= 23,
	AXON_BEHAVIOUR_TYPE_WANDER					= 24,

	AXON_BEHAVIOUR_TYPE_FIRST_PROJECT_SPECIFIC  = 1000
};

//////////////////////////////////////////////////////////////////////////////
//
//
//
//////////////////////////////////////////////////////////////////////////////

#endif //__AXON_BEHAVIOUR_TYPES_H__
#endif
