//
// Tools_Entity_EnvTextureAnimControl.h
//
// Created by Richard Rice - 24/05/2005
// 
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLS_ENTITY_ENVTEXTUREANIMCONTROL_H__
#define __TOOLS_ENTITY_ENVTEXTUREANIMCONTROL_H__

#include "Entity/Tools_Entity_Object.h"

class Tools_Entity_EnvTextureAnimControl : public Tools_Entity_Object
{
	typedef Tools_Entity_Object PARENT;

public :
	Tools_Entity_EnvTextureAnimControl(Asura_Entity* pxEntity);
	static void Create();

	//virtual function overides
	const char* GetTypeDescription(){return "Env Texture Anim Controller";}
	bool HandlesThisMessage(int iMessageID);

	static const char* GetNamePrefix() { return "TextAnim_"; }
	virtual const char* GetMyNamePrefix() const { return Tools_Entity_EnvTextureAnimControl::GetNamePrefix(); }

	void AddOverlayControls(class Asura_Overlay* pxOverlay,class Asura_Vector_2& xOffset);

};


#endif //__TOOLS_ENTITY_ENVTEXTUREANIMCONTROL_H__
