
///////////////////////////////////////////////////////////////////////////////
//
// File   : Tools_ModalOverlay_FacialAnimation_FaceTypeSelection.h
// Author : Andy Tate
// Date   : 4-Sep-2008
//
// Copyright (C) 2008 Rebellion, All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif   // ifdef ASURA_USE_PRAGMA_ONCE

#ifndef __TOOLS_MODALOVERLAY_FACIALANIMATION_FACETYPESELECTION_H__
#define __TOOLS_MODALOVERLAY_FACIALANIMATION_FACETYPESELECTION_H__

#if defined(ASURA_USE_FACIAL_ANIMATION_SYSTEM)

////////////////////////////////////////////////////////////////////////////////
// Include files...
////////////////////////////////////////////////////////////////////////////////

#include "Interface/Asura_Tree_Dialog.h"

#include "Misc/Tools_Modal_Overlay.h"


////////////////////////////////////////////////////////////////////////////////
// Forward class declarations...
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Class declaration...
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Class        : Tools_ModalOverlay_FacialAnimation_FaceTypeSelection
// Author       : Andy Tate
// Date         : 4-Sep-2008
//
// Description  : Class used to allow face-selection using a modal-overlay.
////////////////////////////////////////////////////////////////////////////////
/* obsolete.
class Tools_ModalOverlay_FacialAnimation_FaceTypeSelection : public TreeSelect_Overlay
{
public:
	// Public functions...
	Tools_ModalOverlay_FacialAnimation_FaceTypeSelection(const char* szMessage)
		: PARENT(szMessage, &m_xFaceTypeTree)
	{
		const char*	szFaceTypeDirectory		= Tools_FacialAnimation_System::GetTypeDirectoryName();
		const char*	szFaceTypeFileExtension	= Tools_FacialAnimation_System::GetTypeFileExtension();

		// Ensure we've got all of the face-types in the tree...
		Tools_FacialAnimation_System::PopulateTree(szFaceTypeDirectory, szFaceTypeFileExtension, m_xFaceTypeTree);

		// Allow selection of a single-face-type...
		SetOkayEnabledFunction(Tools_FacialAnimation_System::IsSelectedTreeItemAFile, reinterpret_cast<int>(&m_xFaceTypeTree));
	}
	//virtual ~Tools_ModalOverlay_FacialAnimation_FaceTypeSelection();

	// Accessor functions...
	Tools_FacialAnimation_FaceType* GetSelectedFaceType(Asura_Hash_ID* puHash = NULL, Asura_String* pxPath = NULL)
	{
		const Asura_TreeDialog_Item*	pxItem	= GetSelectionItem();

		if(pxItem == NULL)
		{
			return(NULL);
		}
		else
		{
			Asura_String				xPath;

			Tools_FacialAnimation_FaceType*	pxFaceType	= Tools_FacialAnimation_System::FindOrLoadTypeFromTreeItem(*pxItem, xPath);

			if(pxFaceType == NULL)
			{
				return(NULL);
			}
			else
			{
				if(puHash != NULL)
				{
					*puHash	= pxItem->GetHash();
				}
				if(pxPath != NULL)
				{
					*pxPath	= xPath;
				}
				return(pxFaceType);
			}
		}
	}


protected:
	// Protected variables...

	// Protected functions...


private:
	// Private typedefs...
	typedef TreeSelect_Overlay PARENT;

	// Private variables...
	Asura_TreeDialog_Tree	m_xFaceTypeTree;	// The dialogue-tree used to select the face.

	// Private functions...
	Tools_ModalOverlay_FacialAnimation_FaceTypeSelection(void);
	Tools_ModalOverlay_FacialAnimation_FaceTypeSelection(const Tools_ModalOverlay_FacialAnimation_FaceTypeSelection& xOther);

	Tools_ModalOverlay_FacialAnimation_FaceTypeSelection&	operator=(const Tools_ModalOverlay_FacialAnimation_FaceTypeSelection& xOther);

};   // End of class 'Tools_ModalOverlay_FacialAnimation_FaceTypeSelection'.
*/

#endif	//defined(ASURA_USE_FACIAL_ANIMATION_SYSTEM)

#endif   // ifndef __TOOLS_MODALOVERLAY_FACIALANIMATION_FACETYPESELECTION_H__


/// End of file. ///
