//
// Tools_HelperObject.h
//
// Created by Richard Rice - 31/08/2006
// 
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLS_HELPEROBJECT__
#define __TOOLS_HELPEROBJECT__

#include "Core/Asura_String.h"
#include "Core/Asura_Maths.h"
#include "Core/Asura_OrientedVolume.h"



class Tools_HelperObject
{
public :
	Tools_HelperObject();
	//~Tools_HelperObject();


	///////////////
	Asura_String m_xName;
	Asura_String m_xComment;
	Asura_String m_xFile;

	Asura_Vector_3 m_xPosition;
	Asura_Matrix_3x3 m_xOrientation;

	Asura_OrientedVolume m_xVolume;

	bool m_bImportIntoMax;

	bool m_bIsNew;
};


#endif //__TOOLS_HELPEROBJECT__