//
// Tools_StringUtil.h
//
// Created by Richard Rice - 21/09/2005
// 
// Copyright (C) 2005 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif


#ifndef _TOOLS_STRINGUTIL_H_
#define _TOOLS_STRINGUTIL_H_

class Tools_StringUtil
{
public :
	//Does a case insensitive string comparison and returns true if they match.
	//Any *'s in the search string will be treated as wildcards for comparison , and
	//can match 0+ characters in the test string.
	static bool WildcardMatch(const char* pszTestString,const char* pszSearchString);

	//Takes the original name and adds/increments a postfix number until it gets a name that is acceptable by the callback
	static void GenerateUniqueName(const char* szOriginalName, class Asura_String& xOutput, bool (*IsNameOkay)(const char* szName));
};


#endif //_TOOLS_STRINGUTIL_H_




