///////////////////////////////////////////////////////////////////////////////
//
// File      : Tools_MSF_Conversion.h
// Author    : Philip Hall
// Created   : 27/09/2007
//
// Copyright (C) 2007 Rebellion. All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __TOOLS_MSF_CONVERSION_H__
#define __TOOLS_MSF_CONVERSION_H__


////PGH/////////////////////////////////////////
// MSF conversion return result            
////////////////////////////////////////////////
enum
{
	Tools_ConvertMSFFile_Success = 0,
	Tools_ConvertMSFFile_Failed,
	Tools_ConvertMSFFile_FailedToLoadExe,
	Tools_ConvertMSFFile_FailedToReadWav,
};


// Convert input file to MSF format
int Tools_ConvertMSFFile( const char* const szInputFileName,
							const char* const szOutputFileName,
							const struct ToolsSoundConversionData* const pxConvertData );

#endif // !defined __TOOLS_MSF_CONVERSION_H__
