//////////////////////////////////////////////////////////////////////////////
//
// Tools_XMA_Conversion.h
//
// Copyright (c) 2006 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

#if defined ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#if !defined __TOOLS_XMA_CONVERSION_H__
#define __TOOLS_XMA_CONVERSION_H__

/******************************************************************************/
/* Types                                                                      */
/******************************************************************************/

// If Tools_ConvertXMAFile returns false, and puFailureCode is not NULL, one of
// these values is written to *puFailureCode

enum
{
	Tools_ConvertXMAFile_Success,
	Tools_ConvertXMAFile_InvalidParameter,
	Tools_ConvertXMAFile_FailedToLoadExe,
	Tools_ConvertXMAFile_FailedToConvertXMA,
};

/******************************************************************************/
/* Functions                                                                  */
/******************************************************************************/

bool Tools_ConvertXMAFile( const char* const szInputFileName,
						   const char* const szOutputFileName,
						   const struct ToolsSoundConversionData* const pxConvertData,
						   u_int* const puFailureCode = 0 );

#endif // !defined __TOOLS_XMA_CONVERSION_H__
