//
// TPLOptions.h
//
// Created by KOR - 09 November 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __TPLOPTIONS_H__
#define __TPLOPTIONS_H__

// Use this to over-ride the palette generation.
struct TPLPaletteOptions
{
	const unsigned int* m_puPalette;
	unsigned int  m_uNumPaletteEntries;
};

struct TPLOptions
{
	unsigned int m_uMinLOD; // How many levels down to start e.g. 1 halves texture once
	unsigned int m_uMaxLOD; // How many levels down to stop e.g. 3 is up to and including texture halved 3 times
	unsigned int m_uBaseLOD;// What to re-map the MinLOD to; usually this will be 0
	unsigned int m_uAlphaBits;// How many alpha bits: either 0, 1, 4, or 8
	unsigned int m_uMinAlphaLOD;
	unsigned int m_bUseS3TC:1;// Use S3TC compression?
	unsigned int m_bUseWrap:1;// Wrap (applies to both U and V)?
	TPLPaletteOptions* m_pxPaletteOptions;
};

#endif//__TPLOPTIONS_H__